/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "`$INSTANCE_NAME`.h"
#include "Clock_2.h"

void `$INSTANCE_NAME`_Start()
{
	#if `$FIFO_0_AlternateLevelReport` > 0
		`$INSTANCE_NAME`_AUX_CTL_A_REG |= (`$INSTANCE_NAME`_F0_LEVEL_MODE_1 << `$INSTANCE_NAME`_F0_LEVEL_SHIFT);
	#endif
	
	#if `$FIFO_1_AlternateLevelReport` > 0
		`$INSTANCE_NAME`_AUX_CTL_A_REG |= (`$INSTANCE_NAME`_F1_LEVEL_MODE_1 << `$INSTANCE_NAME`_F1_LEVEL_SHIFT);
	#endif
	
	#if `$FIFO_0_SingleBufferMode` > 0
		`$INSTANCE_NAME`_AUX_CTL_A_REG |= (`$INSTANCE_NAME`_F0_SINGLE_BUFFER_ENABLE << `$INSTANCE_NAME`_F0_SINGLE_BUFFER_SHIFT);
	#endif
	
	#if `$FIFO_1_SingleBufferMode` > 0
		`$INSTANCE_NAME`_AUX_CTL_A_REG |= (`$INSTANCE_NAME`_F1_SINGLE_BUFFER_ENABLE << `$INSTANCE_NAME`_F1_SINGLE_BUFFER_SHIFT);
	#endif
	
	return;
}

//void `$INSTANCE_NAME`_Set_Flash(uint16 flash_pattern, uint16 clock_divider)
void `$INSTANCE_NAME`_Set_Flash(uint8 flash_pattern_H, uint8 flash_pattern_L, uint16 clock_divider)
{
    Clock_2_SetDividerValue(clock_divider);
    //CY_SET_REG16(`$INSTANCE_NAME`_D0_PTR, flash_pattern);
    
    `$INSTANCE_NAME`_D0_U0_REG     = flash_pattern_L;
    `$INSTANCE_NAME`_D0_U1_REG     = flash_pattern_H;
    
    /*
    if ((flash_pattern_H | flash_pattern_L) == 0x00)
        `$INSTANCE_NAME`_AUX_CTL_A_REG = `$INSTANCE_NAME`_FORCE_LED_OFF;
    else if ((flash_pattern_H & flash_pattern_L) == 0xFF)
        `$INSTANCE_NAME`_AUX_CTL_A_REG = `$INSTANCE_NAME`_FORCE_LED_ON;
    else 
        `$INSTANCE_NAME`_AUX_CTL_A_REG = `$INSTANCE_NAME`_ALLOW_LED_PATTERN;
        */
}

/* [] END OF FILE */
