/*******************************************************************************
* File Name: DETECT_3.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DETECT_3_H) /* Pins DETECT_3_H */
#define CY_PINS_DETECT_3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DETECT_3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DETECT_3_Write(uint8 value) ;
void    DETECT_3_SetDriveMode(uint8 mode) ;
uint8   DETECT_3_ReadDataReg(void) ;
uint8   DETECT_3_Read(void) ;
uint8   DETECT_3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DETECT_3_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DETECT_3_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DETECT_3_DM_RES_UP          PIN_DM_RES_UP
#define DETECT_3_DM_RES_DWN         PIN_DM_RES_DWN
#define DETECT_3_DM_OD_LO           PIN_DM_OD_LO
#define DETECT_3_DM_OD_HI           PIN_DM_OD_HI
#define DETECT_3_DM_STRONG          PIN_DM_STRONG
#define DETECT_3_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DETECT_3_MASK               DETECT_3__MASK
#define DETECT_3_SHIFT              DETECT_3__SHIFT
#define DETECT_3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DETECT_3_PS                     (* (reg8 *) DETECT_3__PS)
/* Data Register */
#define DETECT_3_DR                     (* (reg8 *) DETECT_3__DR)
/* Port Number */
#define DETECT_3_PRT_NUM                (* (reg8 *) DETECT_3__PRT) 
/* Connect to Analog Globals */                                                  
#define DETECT_3_AG                     (* (reg8 *) DETECT_3__AG)                       
/* Analog MUX bux enable */
#define DETECT_3_AMUX                   (* (reg8 *) DETECT_3__AMUX) 
/* Bidirectional Enable */                                                        
#define DETECT_3_BIE                    (* (reg8 *) DETECT_3__BIE)
/* Bit-mask for Aliased Register Access */
#define DETECT_3_BIT_MASK               (* (reg8 *) DETECT_3__BIT_MASK)
/* Bypass Enable */
#define DETECT_3_BYP                    (* (reg8 *) DETECT_3__BYP)
/* Port wide control signals */                                                   
#define DETECT_3_CTL                    (* (reg8 *) DETECT_3__CTL)
/* Drive Modes */
#define DETECT_3_DM0                    (* (reg8 *) DETECT_3__DM0) 
#define DETECT_3_DM1                    (* (reg8 *) DETECT_3__DM1)
#define DETECT_3_DM2                    (* (reg8 *) DETECT_3__DM2) 
/* Input Buffer Disable Override */
#define DETECT_3_INP_DIS                (* (reg8 *) DETECT_3__INP_DIS)
/* LCD Common or Segment Drive */
#define DETECT_3_LCD_COM_SEG            (* (reg8 *) DETECT_3__LCD_COM_SEG)
/* Enable Segment LCD */
#define DETECT_3_LCD_EN                 (* (reg8 *) DETECT_3__LCD_EN)
/* Slew Rate Control */
#define DETECT_3_SLW                    (* (reg8 *) DETECT_3__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DETECT_3_PRTDSI__CAPS_SEL       (* (reg8 *) DETECT_3__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DETECT_3_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DETECT_3__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DETECT_3_PRTDSI__OE_SEL0        (* (reg8 *) DETECT_3__PRTDSI__OE_SEL0) 
#define DETECT_3_PRTDSI__OE_SEL1        (* (reg8 *) DETECT_3__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DETECT_3_PRTDSI__OUT_SEL0       (* (reg8 *) DETECT_3__PRTDSI__OUT_SEL0) 
#define DETECT_3_PRTDSI__OUT_SEL1       (* (reg8 *) DETECT_3__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DETECT_3_PRTDSI__SYNC_OUT       (* (reg8 *) DETECT_3__PRTDSI__SYNC_OUT) 


#if defined(DETECT_3__INTSTAT)  /* Interrupt Registers */

    #define DETECT_3_INTSTAT                (* (reg8 *) DETECT_3__INTSTAT)
    #define DETECT_3_SNAP                   (* (reg8 *) DETECT_3__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DETECT_3_H */


/* [] END OF FILE */
