#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DSM */
#define ADC_DSM__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM__CLK CYREG_DSM0_CLK
#define ADC_DSM__CR0 CYREG_DSM0_CR0
#define ADC_DSM__CR1 CYREG_DSM0_CR1
#define ADC_DSM__CR10 CYREG_DSM0_CR10
#define ADC_DSM__CR11 CYREG_DSM0_CR11
#define ADC_DSM__CR12 CYREG_DSM0_CR12
#define ADC_DSM__CR13 CYREG_DSM0_CR13
#define ADC_DSM__CR14 CYREG_DSM0_CR14
#define ADC_DSM__CR15 CYREG_DSM0_CR15
#define ADC_DSM__CR16 CYREG_DSM0_CR16
#define ADC_DSM__CR17 CYREG_DSM0_CR17
#define ADC_DSM__CR2 CYREG_DSM0_CR2
#define ADC_DSM__CR3 CYREG_DSM0_CR3
#define ADC_DSM__CR4 CYREG_DSM0_CR4
#define ADC_DSM__CR5 CYREG_DSM0_CR5
#define ADC_DSM__CR6 CYREG_DSM0_CR6
#define ADC_DSM__CR7 CYREG_DSM0_CR7
#define ADC_DSM__CR8 CYREG_DSM0_CR8
#define ADC_DSM__CR9 CYREG_DSM0_CR9
#define ADC_DSM__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM__MISC CYREG_DSM0_MISC
#define ADC_DSM__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM__REF0 CYREG_DSM0_REF0
#define ADC_DSM__REF1 CYREG_DSM0_REF1
#define ADC_DSM__REF2 CYREG_DSM0_REF2
#define ADC_DSM__REF3 CYREG_DSM0_REF3
#define ADC_DSM__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM__SW0 CYREG_DSM0_SW0
#define ADC_DSM__SW2 CYREG_DSM0_SW2
#define ADC_DSM__SW3 CYREG_DSM0_SW3
#define ADC_DSM__SW4 CYREG_DSM0_SW4
#define ADC_DSM__SW6 CYREG_DSM0_SW6
#define ADC_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM__TST0 CYREG_DSM0_TST0
#define ADC_DSM__TST1 CYREG_DSM0_TST1

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__INDEX 0x01u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x02u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x02u

/* ADC_Interrupt */
#define ADC_Interrupt__ES2_PATCH 0u
#define ADC_Interrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define ADC_Interrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define ADC_Interrupt__INTC_MASK 0x20u
#define ADC_Interrupt__INTC_NUMBER 29u
#define ADC_Interrupt__INTC_PRIOR_NUM 7u
#define ADC_Interrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define ADC_Interrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define ADC_Interrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define ADC_Interrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* ADC_IRQ */
#define ADC_IRQ__ES2_PATCH 0u
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define ADC_IRQ__INTC_MASK 0x01u
#define ADC_IRQ__INTC_NUMBER 0u
#define ADC_IRQ__INTC_PRIOR_NUM 7u
#define ADC_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define ADC_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define ADC_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define ADC_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_theACLK__INDEX 0x00u
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* AN_0 */
#define AN_0__0__INTTYPE CYREG_PICU3_INTTYPE7
#define AN_0__0__MASK 0x80u
#define AN_0__0__PC CYREG_PRT3_PC7
#define AN_0__0__PORT 3u
#define AN_0__0__SHIFT 7
#define AN_0__AG CYREG_PRT3_AG
#define AN_0__AMUX CYREG_PRT3_AMUX
#define AN_0__BIE CYREG_PRT3_BIE
#define AN_0__BIT_MASK CYREG_PRT3_BIT_MASK
#define AN_0__BYP CYREG_PRT3_BYP
#define AN_0__CTL CYREG_PRT3_CTL
#define AN_0__DM0 CYREG_PRT3_DM0
#define AN_0__DM1 CYREG_PRT3_DM1
#define AN_0__DM2 CYREG_PRT3_DM2
#define AN_0__DR CYREG_PRT3_DR
#define AN_0__INP_DIS CYREG_PRT3_INP_DIS
#define AN_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define AN_0__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define AN_0__LCD_EN CYREG_PRT3_LCD_EN
#define AN_0__MASK 0x80u
#define AN_0__PORT 3u
#define AN_0__PRT CYREG_PRT3_PRT
#define AN_0__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define AN_0__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define AN_0__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define AN_0__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define AN_0__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define AN_0__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define AN_0__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define AN_0__PS CYREG_PRT3_PS
#define AN_0__SHIFT 7
#define AN_0__SLW CYREG_PRT3_SLW

/* AN_1 */
#define AN_1__0__INTTYPE CYREG_PICU15_INTTYPE2
#define AN_1__0__MASK 0x04u
#define AN_1__0__PC CYREG_IO_PC_PRT15_PC2
#define AN_1__0__PORT 15u
#define AN_1__0__SHIFT 2
#define AN_1__AG CYREG_PRT15_AG
#define AN_1__AMUX CYREG_PRT15_AMUX
#define AN_1__BIE CYREG_PRT15_BIE
#define AN_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define AN_1__BYP CYREG_PRT15_BYP
#define AN_1__CTL CYREG_PRT15_CTL
#define AN_1__DM0 CYREG_PRT15_DM0
#define AN_1__DM1 CYREG_PRT15_DM1
#define AN_1__DM2 CYREG_PRT15_DM2
#define AN_1__DR CYREG_PRT15_DR
#define AN_1__INP_DIS CYREG_PRT15_INP_DIS
#define AN_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define AN_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define AN_1__LCD_EN CYREG_PRT15_LCD_EN
#define AN_1__MASK 0x04u
#define AN_1__PORT 15u
#define AN_1__PRT CYREG_PRT15_PRT
#define AN_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define AN_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define AN_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define AN_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define AN_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define AN_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define AN_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define AN_1__PS CYREG_PRT15_PS
#define AN_1__SHIFT 2
#define AN_1__SLW CYREG_PRT15_SLW

/* AN_2 */
#define AN_2__0__INTTYPE CYREG_PICU15_INTTYPE3
#define AN_2__0__MASK 0x08u
#define AN_2__0__PC CYREG_IO_PC_PRT15_PC3
#define AN_2__0__PORT 15u
#define AN_2__0__SHIFT 3
#define AN_2__AG CYREG_PRT15_AG
#define AN_2__AMUX CYREG_PRT15_AMUX
#define AN_2__BIE CYREG_PRT15_BIE
#define AN_2__BIT_MASK CYREG_PRT15_BIT_MASK
#define AN_2__BYP CYREG_PRT15_BYP
#define AN_2__CTL CYREG_PRT15_CTL
#define AN_2__DM0 CYREG_PRT15_DM0
#define AN_2__DM1 CYREG_PRT15_DM1
#define AN_2__DM2 CYREG_PRT15_DM2
#define AN_2__DR CYREG_PRT15_DR
#define AN_2__INP_DIS CYREG_PRT15_INP_DIS
#define AN_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define AN_2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define AN_2__LCD_EN CYREG_PRT15_LCD_EN
#define AN_2__MASK 0x08u
#define AN_2__PORT 15u
#define AN_2__PRT CYREG_PRT15_PRT
#define AN_2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define AN_2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define AN_2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define AN_2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define AN_2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define AN_2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define AN_2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define AN_2__PS CYREG_PRT15_PS
#define AN_2__SHIFT 3
#define AN_2__SLW CYREG_PRT15_SLW

/* AN_3 */
#define AN_3__0__INTTYPE CYREG_PICU3_INTTYPE6
#define AN_3__0__MASK 0x40u
#define AN_3__0__PC CYREG_PRT3_PC6
#define AN_3__0__PORT 3u
#define AN_3__0__SHIFT 6
#define AN_3__AG CYREG_PRT3_AG
#define AN_3__AMUX CYREG_PRT3_AMUX
#define AN_3__BIE CYREG_PRT3_BIE
#define AN_3__BIT_MASK CYREG_PRT3_BIT_MASK
#define AN_3__BYP CYREG_PRT3_BYP
#define AN_3__CTL CYREG_PRT3_CTL
#define AN_3__DM0 CYREG_PRT3_DM0
#define AN_3__DM1 CYREG_PRT3_DM1
#define AN_3__DM2 CYREG_PRT3_DM2
#define AN_3__DR CYREG_PRT3_DR
#define AN_3__INP_DIS CYREG_PRT3_INP_DIS
#define AN_3__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define AN_3__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define AN_3__LCD_EN CYREG_PRT3_LCD_EN
#define AN_3__MASK 0x40u
#define AN_3__PORT 3u
#define AN_3__PRT CYREG_PRT3_PRT
#define AN_3__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define AN_3__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define AN_3__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define AN_3__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define AN_3__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define AN_3__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define AN_3__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define AN_3__PS CYREG_PRT3_PS
#define AN_3__SHIFT 6
#define AN_3__SLW CYREG_PRT3_SLW

/* AN_4 */
#define AN_4__0__INTTYPE CYREG_PICU0_INTTYPE0
#define AN_4__0__MASK 0x01u
#define AN_4__0__PC CYREG_PRT0_PC0
#define AN_4__0__PORT 0u
#define AN_4__0__SHIFT 0
#define AN_4__AG CYREG_PRT0_AG
#define AN_4__AMUX CYREG_PRT0_AMUX
#define AN_4__BIE CYREG_PRT0_BIE
#define AN_4__BIT_MASK CYREG_PRT0_BIT_MASK
#define AN_4__BYP CYREG_PRT0_BYP
#define AN_4__CTL CYREG_PRT0_CTL
#define AN_4__DM0 CYREG_PRT0_DM0
#define AN_4__DM1 CYREG_PRT0_DM1
#define AN_4__DM2 CYREG_PRT0_DM2
#define AN_4__DR CYREG_PRT0_DR
#define AN_4__INP_DIS CYREG_PRT0_INP_DIS
#define AN_4__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define AN_4__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define AN_4__LCD_EN CYREG_PRT0_LCD_EN
#define AN_4__MASK 0x01u
#define AN_4__PORT 0u
#define AN_4__PRT CYREG_PRT0_PRT
#define AN_4__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define AN_4__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define AN_4__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define AN_4__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define AN_4__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define AN_4__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define AN_4__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define AN_4__PS CYREG_PRT0_PS
#define AN_4__SHIFT 0
#define AN_4__SLW CYREG_PRT0_SLW

/* AN_5 */
#define AN_5__0__INTTYPE CYREG_PICU0_INTTYPE1
#define AN_5__0__MASK 0x02u
#define AN_5__0__PC CYREG_PRT0_PC1
#define AN_5__0__PORT 0u
#define AN_5__0__SHIFT 1
#define AN_5__AG CYREG_PRT0_AG
#define AN_5__AMUX CYREG_PRT0_AMUX
#define AN_5__BIE CYREG_PRT0_BIE
#define AN_5__BIT_MASK CYREG_PRT0_BIT_MASK
#define AN_5__BYP CYREG_PRT0_BYP
#define AN_5__CTL CYREG_PRT0_CTL
#define AN_5__DM0 CYREG_PRT0_DM0
#define AN_5__DM1 CYREG_PRT0_DM1
#define AN_5__DM2 CYREG_PRT0_DM2
#define AN_5__DR CYREG_PRT0_DR
#define AN_5__INP_DIS CYREG_PRT0_INP_DIS
#define AN_5__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define AN_5__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define AN_5__LCD_EN CYREG_PRT0_LCD_EN
#define AN_5__MASK 0x02u
#define AN_5__PORT 0u
#define AN_5__PRT CYREG_PRT0_PRT
#define AN_5__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define AN_5__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define AN_5__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define AN_5__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define AN_5__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define AN_5__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define AN_5__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define AN_5__PS CYREG_PRT0_PS
#define AN_5__SHIFT 1
#define AN_5__SLW CYREG_PRT0_SLW

/* QA_1 */
#define QA_1__0__INTTYPE CYREG_PICU0_INTTYPE3
#define QA_1__0__MASK 0x08u
#define QA_1__0__PC CYREG_PRT0_PC3
#define QA_1__0__PORT 0u
#define QA_1__0__SHIFT 3
#define QA_1__AG CYREG_PRT0_AG
#define QA_1__AMUX CYREG_PRT0_AMUX
#define QA_1__BIE CYREG_PRT0_BIE
#define QA_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define QA_1__BYP CYREG_PRT0_BYP
#define QA_1__CTL CYREG_PRT0_CTL
#define QA_1__DM0 CYREG_PRT0_DM0
#define QA_1__DM1 CYREG_PRT0_DM1
#define QA_1__DM2 CYREG_PRT0_DM2
#define QA_1__DR CYREG_PRT0_DR
#define QA_1__INP_DIS CYREG_PRT0_INP_DIS
#define QA_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define QA_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define QA_1__LCD_EN CYREG_PRT0_LCD_EN
#define QA_1__MASK 0x08u
#define QA_1__PORT 0u
#define QA_1__PRT CYREG_PRT0_PRT
#define QA_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define QA_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define QA_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define QA_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define QA_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define QA_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define QA_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define QA_1__PS CYREG_PRT0_PS
#define QA_1__SHIFT 3
#define QA_1__SLW CYREG_PRT0_SLW

/* QA_2 */
#define QA_2__0__INTTYPE CYREG_PICU2_INTTYPE7
#define QA_2__0__MASK 0x80u
#define QA_2__0__PC CYREG_PRT2_PC7
#define QA_2__0__PORT 2u
#define QA_2__0__SHIFT 7
#define QA_2__AG CYREG_PRT2_AG
#define QA_2__AMUX CYREG_PRT2_AMUX
#define QA_2__BIE CYREG_PRT2_BIE
#define QA_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define QA_2__BYP CYREG_PRT2_BYP
#define QA_2__CTL CYREG_PRT2_CTL
#define QA_2__DM0 CYREG_PRT2_DM0
#define QA_2__DM1 CYREG_PRT2_DM1
#define QA_2__DM2 CYREG_PRT2_DM2
#define QA_2__DR CYREG_PRT2_DR
#define QA_2__INP_DIS CYREG_PRT2_INP_DIS
#define QA_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define QA_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define QA_2__LCD_EN CYREG_PRT2_LCD_EN
#define QA_2__MASK 0x80u
#define QA_2__PORT 2u
#define QA_2__PRT CYREG_PRT2_PRT
#define QA_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define QA_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define QA_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define QA_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define QA_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define QA_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define QA_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define QA_2__PS CYREG_PRT2_PS
#define QA_2__SHIFT 7
#define QA_2__SLW CYREG_PRT2_SLW

/* QB_1 */
#define QB_1__0__INTTYPE CYREG_PICU0_INTTYPE2
#define QB_1__0__MASK 0x04u
#define QB_1__0__PC CYREG_PRT0_PC2
#define QB_1__0__PORT 0u
#define QB_1__0__SHIFT 2
#define QB_1__AG CYREG_PRT0_AG
#define QB_1__AMUX CYREG_PRT0_AMUX
#define QB_1__BIE CYREG_PRT0_BIE
#define QB_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define QB_1__BYP CYREG_PRT0_BYP
#define QB_1__CTL CYREG_PRT0_CTL
#define QB_1__DM0 CYREG_PRT0_DM0
#define QB_1__DM1 CYREG_PRT0_DM1
#define QB_1__DM2 CYREG_PRT0_DM2
#define QB_1__DR CYREG_PRT0_DR
#define QB_1__INP_DIS CYREG_PRT0_INP_DIS
#define QB_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define QB_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define QB_1__LCD_EN CYREG_PRT0_LCD_EN
#define QB_1__MASK 0x04u
#define QB_1__PORT 0u
#define QB_1__PRT CYREG_PRT0_PRT
#define QB_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define QB_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define QB_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define QB_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define QB_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define QB_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define QB_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define QB_1__PS CYREG_PRT0_PS
#define QB_1__SHIFT 2
#define QB_1__SLW CYREG_PRT0_SLW

/* QB_2 */
#define QB_2__0__INTTYPE CYREG_PICU0_INTTYPE7
#define QB_2__0__MASK 0x80u
#define QB_2__0__PC CYREG_PRT0_PC7
#define QB_2__0__PORT 0u
#define QB_2__0__SHIFT 7
#define QB_2__AG CYREG_PRT0_AG
#define QB_2__AMUX CYREG_PRT0_AMUX
#define QB_2__BIE CYREG_PRT0_BIE
#define QB_2__BIT_MASK CYREG_PRT0_BIT_MASK
#define QB_2__BYP CYREG_PRT0_BYP
#define QB_2__CTL CYREG_PRT0_CTL
#define QB_2__DM0 CYREG_PRT0_DM0
#define QB_2__DM1 CYREG_PRT0_DM1
#define QB_2__DM2 CYREG_PRT0_DM2
#define QB_2__DR CYREG_PRT0_DR
#define QB_2__INP_DIS CYREG_PRT0_INP_DIS
#define QB_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define QB_2__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define QB_2__LCD_EN CYREG_PRT0_LCD_EN
#define QB_2__MASK 0x80u
#define QB_2__PORT 0u
#define QB_2__PRT CYREG_PRT0_PRT
#define QB_2__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define QB_2__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define QB_2__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define QB_2__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define QB_2__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define QB_2__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define QB_2__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define QB_2__PS CYREG_PRT0_PS
#define QB_2__SHIFT 7
#define QB_2__SLW CYREG_PRT0_SLW

/* QI_1 */
#define QI_1__0__INTTYPE CYREG_PICU12_INTTYPE3
#define QI_1__0__MASK 0x08u
#define QI_1__0__PC CYREG_PRT12_PC3
#define QI_1__0__PORT 12u
#define QI_1__0__SHIFT 3
#define QI_1__AG CYREG_PRT12_AG
#define QI_1__BIE CYREG_PRT12_BIE
#define QI_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define QI_1__BYP CYREG_PRT12_BYP
#define QI_1__DM0 CYREG_PRT12_DM0
#define QI_1__DM1 CYREG_PRT12_DM1
#define QI_1__DM2 CYREG_PRT12_DM2
#define QI_1__DR CYREG_PRT12_DR
#define QI_1__INP_DIS CYREG_PRT12_INP_DIS
#define QI_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define QI_1__MASK 0x08u
#define QI_1__PORT 12u
#define QI_1__PRT CYREG_PRT12_PRT
#define QI_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define QI_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define QI_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define QI_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define QI_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define QI_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define QI_1__PS CYREG_PRT12_PS
#define QI_1__SHIFT 3
#define QI_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define QI_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define QI_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define QI_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define QI_1__SLW CYREG_PRT12_SLW

/* QI_2 */
#define QI_2__0__INTTYPE CYREG_PICU0_INTTYPE6
#define QI_2__0__MASK 0x40u
#define QI_2__0__PC CYREG_PRT0_PC6
#define QI_2__0__PORT 0u
#define QI_2__0__SHIFT 6
#define QI_2__AG CYREG_PRT0_AG
#define QI_2__AMUX CYREG_PRT0_AMUX
#define QI_2__BIE CYREG_PRT0_BIE
#define QI_2__BIT_MASK CYREG_PRT0_BIT_MASK
#define QI_2__BYP CYREG_PRT0_BYP
#define QI_2__CTL CYREG_PRT0_CTL
#define QI_2__DM0 CYREG_PRT0_DM0
#define QI_2__DM1 CYREG_PRT0_DM1
#define QI_2__DM2 CYREG_PRT0_DM2
#define QI_2__DR CYREG_PRT0_DR
#define QI_2__INP_DIS CYREG_PRT0_INP_DIS
#define QI_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define QI_2__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define QI_2__LCD_EN CYREG_PRT0_LCD_EN
#define QI_2__MASK 0x40u
#define QI_2__PORT 0u
#define QI_2__PRT CYREG_PRT0_PRT
#define QI_2__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define QI_2__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define QI_2__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define QI_2__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define QI_2__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define QI_2__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define QI_2__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define QI_2__PS CYREG_PRT0_PS
#define QI_2__SHIFT 6
#define QI_2__SLW CYREG_PRT0_SLW

/* QR_1 */
#define QR_1__0__INTTYPE CYREG_PICU12_INTTYPE2
#define QR_1__0__MASK 0x04u
#define QR_1__0__PC CYREG_PRT12_PC2
#define QR_1__0__PORT 12u
#define QR_1__0__SHIFT 2
#define QR_1__AG CYREG_PRT12_AG
#define QR_1__BIE CYREG_PRT12_BIE
#define QR_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define QR_1__BYP CYREG_PRT12_BYP
#define QR_1__DM0 CYREG_PRT12_DM0
#define QR_1__DM1 CYREG_PRT12_DM1
#define QR_1__DM2 CYREG_PRT12_DM2
#define QR_1__DR CYREG_PRT12_DR
#define QR_1__INP_DIS CYREG_PRT12_INP_DIS
#define QR_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define QR_1__MASK 0x04u
#define QR_1__PORT 12u
#define QR_1__PRT CYREG_PRT12_PRT
#define QR_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define QR_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define QR_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define QR_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define QR_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define QR_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define QR_1__PS CYREG_PRT12_PS
#define QR_1__SHIFT 2
#define QR_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define QR_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define QR_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define QR_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define QR_1__SLW CYREG_PRT12_SLW

/* QR_2 */
#define QR_2__0__INTTYPE CYREG_PICU2_INTTYPE5
#define QR_2__0__MASK 0x20u
#define QR_2__0__PC CYREG_PRT2_PC5
#define QR_2__0__PORT 2u
#define QR_2__0__SHIFT 5
#define QR_2__AG CYREG_PRT2_AG
#define QR_2__AMUX CYREG_PRT2_AMUX
#define QR_2__BIE CYREG_PRT2_BIE
#define QR_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define QR_2__BYP CYREG_PRT2_BYP
#define QR_2__CTL CYREG_PRT2_CTL
#define QR_2__DM0 CYREG_PRT2_DM0
#define QR_2__DM1 CYREG_PRT2_DM1
#define QR_2__DM2 CYREG_PRT2_DM2
#define QR_2__DR CYREG_PRT2_DR
#define QR_2__INP_DIS CYREG_PRT2_INP_DIS
#define QR_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define QR_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define QR_2__LCD_EN CYREG_PRT2_LCD_EN
#define QR_2__MASK 0x20u
#define QR_2__PORT 2u
#define QR_2__PRT CYREG_PRT2_PRT
#define QR_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define QR_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define QR_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define QR_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define QR_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define QR_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define QR_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define QR_2__PS CYREG_PRT2_PS
#define QR_2__SHIFT 5
#define QR_2__SLW CYREG_PRT2_SLW

/* EC_CS */
#define EC_CS__0__INTTYPE CYREG_PICU1_INTTYPE4
#define EC_CS__0__MASK 0x10u
#define EC_CS__0__PC CYREG_PRT1_PC4
#define EC_CS__0__PORT 1u
#define EC_CS__0__SHIFT 4
#define EC_CS__AG CYREG_PRT1_AG
#define EC_CS__AMUX CYREG_PRT1_AMUX
#define EC_CS__BIE CYREG_PRT1_BIE
#define EC_CS__BIT_MASK CYREG_PRT1_BIT_MASK
#define EC_CS__BYP CYREG_PRT1_BYP
#define EC_CS__CTL CYREG_PRT1_CTL
#define EC_CS__DM0 CYREG_PRT1_DM0
#define EC_CS__DM1 CYREG_PRT1_DM1
#define EC_CS__DM2 CYREG_PRT1_DM2
#define EC_CS__DR CYREG_PRT1_DR
#define EC_CS__INP_DIS CYREG_PRT1_INP_DIS
#define EC_CS__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define EC_CS__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define EC_CS__LCD_EN CYREG_PRT1_LCD_EN
#define EC_CS__MASK 0x10u
#define EC_CS__PORT 1u
#define EC_CS__PRT CYREG_PRT1_PRT
#define EC_CS__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define EC_CS__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define EC_CS__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define EC_CS__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define EC_CS__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define EC_CS__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define EC_CS__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define EC_CS__PS CYREG_PRT1_PS
#define EC_CS__SHIFT 4
#define EC_CS__SLW CYREG_PRT1_SLW

/* PWM_1 */
#define PWM_1__0__INTTYPE CYREG_PICU0_INTTYPE4
#define PWM_1__0__MASK 0x10u
#define PWM_1__0__PC CYREG_PRT0_PC4
#define PWM_1__0__PORT 0u
#define PWM_1__0__SHIFT 4
#define PWM_1__AG CYREG_PRT0_AG
#define PWM_1__AMUX CYREG_PRT0_AMUX
#define PWM_1__BIE CYREG_PRT0_BIE
#define PWM_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define PWM_1__BYP CYREG_PRT0_BYP
#define PWM_1__CTL CYREG_PRT0_CTL
#define PWM_1__DM0 CYREG_PRT0_DM0
#define PWM_1__DM1 CYREG_PRT0_DM1
#define PWM_1__DM2 CYREG_PRT0_DM2
#define PWM_1__DR CYREG_PRT0_DR
#define PWM_1__INP_DIS CYREG_PRT0_INP_DIS
#define PWM_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define PWM_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define PWM_1__LCD_EN CYREG_PRT0_LCD_EN
#define PWM_1__MASK 0x10u
#define PWM_1__PORT 0u
#define PWM_1__PRT CYREG_PRT0_PRT
#define PWM_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define PWM_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define PWM_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define PWM_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define PWM_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define PWM_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define PWM_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define PWM_1__PS CYREG_PRT0_PS
#define PWM_1__SHIFT 4
#define PWM_1__SLW CYREG_PRT0_SLW

/* PWM_2 */
#define PWM_2__0__INTTYPE CYREG_PICU2_INTTYPE6
#define PWM_2__0__MASK 0x40u
#define PWM_2__0__PC CYREG_PRT2_PC6
#define PWM_2__0__PORT 2u
#define PWM_2__0__SHIFT 6
#define PWM_2__AG CYREG_PRT2_AG
#define PWM_2__AMUX CYREG_PRT2_AMUX
#define PWM_2__BIE CYREG_PRT2_BIE
#define PWM_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define PWM_2__BYP CYREG_PRT2_BYP
#define PWM_2__CTL CYREG_PRT2_CTL
#define PWM_2__DM0 CYREG_PRT2_DM0
#define PWM_2__DM1 CYREG_PRT2_DM1
#define PWM_2__DM2 CYREG_PRT2_DM2
#define PWM_2__DR CYREG_PRT2_DR
#define PWM_2__INP_DIS CYREG_PRT2_INP_DIS
#define PWM_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define PWM_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define PWM_2__LCD_EN CYREG_PRT2_LCD_EN
#define PWM_2__MASK 0x40u
#define PWM_2__PORT 2u
#define PWM_2__PRT CYREG_PRT2_PRT
#define PWM_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define PWM_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define PWM_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define PWM_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define PWM_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define PWM_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define PWM_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define PWM_2__PS CYREG_PRT2_PS
#define PWM_2__SHIFT 6
#define PWM_2__SLW CYREG_PRT2_SLW

/* AL_ERR */
#define AL_ERR__0__INTTYPE CYREG_PICU15_INTTYPE6
#define AL_ERR__0__MASK 0x40u
#define AL_ERR__0__PC CYREG_IO_PC_PRT15_7_6_PC0
#define AL_ERR__0__PORT 15u
#define AL_ERR__0__SHIFT 6
#define AL_ERR__AG CYREG_PRT15_AG
#define AL_ERR__AMUX CYREG_PRT15_AMUX
#define AL_ERR__BIE CYREG_PRT15_BIE
#define AL_ERR__BIT_MASK CYREG_PRT15_BIT_MASK
#define AL_ERR__BYP CYREG_PRT15_BYP
#define AL_ERR__CTL CYREG_PRT15_CTL
#define AL_ERR__DM0 CYREG_PRT15_DM0
#define AL_ERR__DM1 CYREG_PRT15_DM1
#define AL_ERR__DM2 CYREG_PRT15_DM2
#define AL_ERR__DR CYREG_PRT15_DR
#define AL_ERR__INP_DIS CYREG_PRT15_INP_DIS
#define AL_ERR__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define AL_ERR__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define AL_ERR__LCD_EN CYREG_PRT15_LCD_EN
#define AL_ERR__MASK 0x40u
#define AL_ERR__PORT 15u
#define AL_ERR__PRT CYREG_PRT15_PRT
#define AL_ERR__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define AL_ERR__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define AL_ERR__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define AL_ERR__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define AL_ERR__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define AL_ERR__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define AL_ERR__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define AL_ERR__PS CYREG_PRT15_PS
#define AL_ERR__SHIFT 6
#define AL_ERR__SLW CYREG_PRT15_SLW

/* DMA_RX */
#define DMA_RX__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_RX__DRQ_NUMBER 0u
#define DMA_RX__NUMBEROF_TDS 0u
#define DMA_RX__PRIORITY 2u
#define DMA_RX__TERMIN_EN 0u
#define DMA_RX__TERMIN_SEL 0u
#define DMA_RX__TERMOUT0_EN 0u
#define DMA_RX__TERMOUT0_SEL 0u
#define DMA_RX__TERMOUT1_EN 0u
#define DMA_RX__TERMOUT1_SEL 0u

/* DMA_TX */
#define DMA_TX__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA_TX__DRQ_NUMBER 1u
#define DMA_TX__NUMBEROF_TDS 0u
#define DMA_TX__PRIORITY 2u
#define DMA_TX__TERMIN_EN 0u
#define DMA_TX__TERMIN_SEL 0u
#define DMA_TX__TERMOUT0_EN 0u
#define DMA_TX__TERMOUT0_SEL 0u
#define DMA_TX__TERMOUT1_EN 0u
#define DMA_TX__TERMOUT1_SEL 0u

/* EC_SCL */
#define EC_SCL__0__INTTYPE CYREG_PICU12_INTTYPE4
#define EC_SCL__0__MASK 0x10u
#define EC_SCL__0__PC CYREG_PRT12_PC4
#define EC_SCL__0__PORT 12u
#define EC_SCL__0__SHIFT 4
#define EC_SCL__AG CYREG_PRT12_AG
#define EC_SCL__BIE CYREG_PRT12_BIE
#define EC_SCL__BIT_MASK CYREG_PRT12_BIT_MASK
#define EC_SCL__BYP CYREG_PRT12_BYP
#define EC_SCL__DM0 CYREG_PRT12_DM0
#define EC_SCL__DM1 CYREG_PRT12_DM1
#define EC_SCL__DM2 CYREG_PRT12_DM2
#define EC_SCL__DR CYREG_PRT12_DR
#define EC_SCL__INP_DIS CYREG_PRT12_INP_DIS
#define EC_SCL__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EC_SCL__MASK 0x10u
#define EC_SCL__PORT 12u
#define EC_SCL__PRT CYREG_PRT12_PRT
#define EC_SCL__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EC_SCL__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EC_SCL__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EC_SCL__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EC_SCL__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EC_SCL__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EC_SCL__PS CYREG_PRT12_PS
#define EC_SCL__SHIFT 4
#define EC_SCL__SIO_CFG CYREG_PRT12_SIO_CFG
#define EC_SCL__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EC_SCL__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EC_SCL__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EC_SCL__SLW CYREG_PRT12_SLW

/* EC_SDA */
#define EC_SDA__0__INTTYPE CYREG_PICU12_INTTYPE5
#define EC_SDA__0__MASK 0x20u
#define EC_SDA__0__PC CYREG_PRT12_PC5
#define EC_SDA__0__PORT 12u
#define EC_SDA__0__SHIFT 5
#define EC_SDA__AG CYREG_PRT12_AG
#define EC_SDA__BIE CYREG_PRT12_BIE
#define EC_SDA__BIT_MASK CYREG_PRT12_BIT_MASK
#define EC_SDA__BYP CYREG_PRT12_BYP
#define EC_SDA__DM0 CYREG_PRT12_DM0
#define EC_SDA__DM1 CYREG_PRT12_DM1
#define EC_SDA__DM2 CYREG_PRT12_DM2
#define EC_SDA__DR CYREG_PRT12_DR
#define EC_SDA__INP_DIS CYREG_PRT12_INP_DIS
#define EC_SDA__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EC_SDA__MASK 0x20u
#define EC_SDA__PORT 12u
#define EC_SDA__PRT CYREG_PRT12_PRT
#define EC_SDA__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EC_SDA__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EC_SDA__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EC_SDA__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EC_SDA__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EC_SDA__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EC_SDA__PS CYREG_PRT12_PS
#define EC_SDA__SHIFT 5
#define EC_SDA__SIO_CFG CYREG_PRT12_SIO_CFG
#define EC_SDA__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EC_SDA__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EC_SDA__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EC_SDA__SLW CYREG_PRT12_SLW

/* EC_SPI_BSPIM */
#define EC_SPI_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define EC_SPI_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB08_09_CTL
#define EC_SPI_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB08_09_CTL
#define EC_SPI_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB08_09_CTL
#define EC_SPI_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB08_09_CTL
#define EC_SPI_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB08_09_MSK
#define EC_SPI_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB08_09_MSK
#define EC_SPI_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB08_09_MSK
#define EC_SPI_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB08_09_MSK
#define EC_SPI_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define EC_SPI_BSPIM_BitCounter__CONTROL_REG CYREG_B1_UDB08_CTL
#define EC_SPI_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B1_UDB08_ST_CTL
#define EC_SPI_BSPIM_BitCounter__COUNT_REG CYREG_B1_UDB08_CTL
#define EC_SPI_BSPIM_BitCounter__COUNT_ST_REG CYREG_B1_UDB08_ST_CTL
#define EC_SPI_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define EC_SPI_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define EC_SPI_BSPIM_BitCounter__PERIOD_REG CYREG_B1_UDB08_MSK
#define EC_SPI_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define EC_SPI_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB08_09_ST
#define EC_SPI_BSPIM_BitCounter_ST__MASK_REG CYREG_B1_UDB08_MSK
#define EC_SPI_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define EC_SPI_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define EC_SPI_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define EC_SPI_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB08_ST_CTL
#define EC_SPI_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB08_ST_CTL
#define EC_SPI_BSPIM_BitCounter_ST__STATUS_REG CYREG_B1_UDB08_ST
#define EC_SPI_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define EC_SPI_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB10_11_ST
#define EC_SPI_BSPIM_RxStsReg__4__MASK 0x10u
#define EC_SPI_BSPIM_RxStsReg__4__POS 4
#define EC_SPI_BSPIM_RxStsReg__5__MASK 0x20u
#define EC_SPI_BSPIM_RxStsReg__5__POS 5
#define EC_SPI_BSPIM_RxStsReg__6__MASK 0x40u
#define EC_SPI_BSPIM_RxStsReg__6__POS 6
#define EC_SPI_BSPIM_RxStsReg__MASK 0x70u
#define EC_SPI_BSPIM_RxStsReg__MASK_REG CYREG_B0_UDB10_MSK
#define EC_SPI_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define EC_SPI_BSPIM_RxStsReg__STATUS_REG CYREG_B0_UDB10_ST
#define EC_SPI_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B1_UDB09_A0_A1
#define EC_SPI_BSPIM_sR8_Dp_u0__A0_REG CYREG_B1_UDB09_A0
#define EC_SPI_BSPIM_sR8_Dp_u0__A1_REG CYREG_B1_UDB09_A1
#define EC_SPI_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B1_UDB09_D0_D1
#define EC_SPI_BSPIM_sR8_Dp_u0__D0_REG CYREG_B1_UDB09_D0
#define EC_SPI_BSPIM_sR8_Dp_u0__D1_REG CYREG_B1_UDB09_D1
#define EC_SPI_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define EC_SPI_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B1_UDB09_F0_F1
#define EC_SPI_BSPIM_sR8_Dp_u0__F0_REG CYREG_B1_UDB09_F0
#define EC_SPI_BSPIM_sR8_Dp_u0__F1_REG CYREG_B1_UDB09_F1
#define EC_SPI_BSPIM_TxStsReg__0__MASK 0x01u
#define EC_SPI_BSPIM_TxStsReg__0__POS 0
#define EC_SPI_BSPIM_TxStsReg__1__MASK 0x02u
#define EC_SPI_BSPIM_TxStsReg__1__POS 1
#define EC_SPI_BSPIM_TxStsReg__2__MASK 0x04u
#define EC_SPI_BSPIM_TxStsReg__2__POS 2
#define EC_SPI_BSPIM_TxStsReg__3__MASK 0x08u
#define EC_SPI_BSPIM_TxStsReg__3__POS 3
#define EC_SPI_BSPIM_TxStsReg__4__MASK 0x10u
#define EC_SPI_BSPIM_TxStsReg__4__POS 4
#define EC_SPI_BSPIM_TxStsReg__MASK 0x1Fu
#define EC_SPI_BSPIM_TxStsReg__MASK_REG CYREG_B1_UDB09_MSK
#define EC_SPI_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define EC_SPI_BSPIM_TxStsReg__STATUS_REG CYREG_B1_UDB09_ST

/* EC_SPI_Clk */
#define EC_SPI_Clk__CFG0 CYREG_CLKDIST_DCFG4_CFG0
#define EC_SPI_Clk__CFG1 CYREG_CLKDIST_DCFG4_CFG1
#define EC_SPI_Clk__CFG2 CYREG_CLKDIST_DCFG4_CFG2
#define EC_SPI_Clk__CFG2_SRC_SEL_MASK 0x07u
#define EC_SPI_Clk__INDEX 0x04u
#define EC_SPI_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define EC_SPI_Clk__PM_ACT_MSK 0x10u
#define EC_SPI_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define EC_SPI_Clk__PM_STBY_MSK 0x10u

/* EC_SPI_IRQ */
#define EC_SPI_IRQ__0__INTTYPE CYREG_PICU12_INTTYPE7
#define EC_SPI_IRQ__0__MASK 0x80u
#define EC_SPI_IRQ__0__PC CYREG_PRT12_PC7
#define EC_SPI_IRQ__0__PORT 12u
#define EC_SPI_IRQ__0__SHIFT 7
#define EC_SPI_IRQ__AG CYREG_PRT12_AG
#define EC_SPI_IRQ__BIE CYREG_PRT12_BIE
#define EC_SPI_IRQ__BIT_MASK CYREG_PRT12_BIT_MASK
#define EC_SPI_IRQ__BYP CYREG_PRT12_BYP
#define EC_SPI_IRQ__DM0 CYREG_PRT12_DM0
#define EC_SPI_IRQ__DM1 CYREG_PRT12_DM1
#define EC_SPI_IRQ__DM2 CYREG_PRT12_DM2
#define EC_SPI_IRQ__DR CYREG_PRT12_DR
#define EC_SPI_IRQ__INP_DIS CYREG_PRT12_INP_DIS
#define EC_SPI_IRQ__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EC_SPI_IRQ__MASK 0x80u
#define EC_SPI_IRQ__PORT 12u
#define EC_SPI_IRQ__PRT CYREG_PRT12_PRT
#define EC_SPI_IRQ__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EC_SPI_IRQ__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EC_SPI_IRQ__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EC_SPI_IRQ__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EC_SPI_IRQ__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EC_SPI_IRQ__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EC_SPI_IRQ__PS CYREG_PRT12_PS
#define EC_SPI_IRQ__SHIFT 7
#define EC_SPI_IRQ__SIO_CFG CYREG_PRT12_SIO_CFG
#define EC_SPI_IRQ__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EC_SPI_IRQ__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EC_SPI_IRQ__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EC_SPI_IRQ__SLW CYREG_PRT12_SLW

/* Mode_1 */
#define Mode_1__0__INTTYPE CYREG_PICU3_INTTYPE0
#define Mode_1__0__MASK 0x01u
#define Mode_1__0__PC CYREG_PRT3_PC0
#define Mode_1__0__PORT 3u
#define Mode_1__0__SHIFT 0
#define Mode_1__AG CYREG_PRT3_AG
#define Mode_1__AMUX CYREG_PRT3_AMUX
#define Mode_1__BIE CYREG_PRT3_BIE
#define Mode_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define Mode_1__BYP CYREG_PRT3_BYP
#define Mode_1__CTL CYREG_PRT3_CTL
#define Mode_1__DM0 CYREG_PRT3_DM0
#define Mode_1__DM1 CYREG_PRT3_DM1
#define Mode_1__DM2 CYREG_PRT3_DM2
#define Mode_1__DR CYREG_PRT3_DR
#define Mode_1__INP_DIS CYREG_PRT3_INP_DIS
#define Mode_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define Mode_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Mode_1__LCD_EN CYREG_PRT3_LCD_EN
#define Mode_1__MASK 0x01u
#define Mode_1__PORT 3u
#define Mode_1__PRT CYREG_PRT3_PRT
#define Mode_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Mode_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Mode_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Mode_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Mode_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Mode_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Mode_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Mode_1__PS CYREG_PRT3_PS
#define Mode_1__SHIFT 0
#define Mode_1__SLW CYREG_PRT3_SLW

/* Mode_2 */
#define Mode_2__0__INTTYPE CYREG_PICU2_INTTYPE0
#define Mode_2__0__MASK 0x01u
#define Mode_2__0__PC CYREG_PRT2_PC0
#define Mode_2__0__PORT 2u
#define Mode_2__0__SHIFT 0
#define Mode_2__AG CYREG_PRT2_AG
#define Mode_2__AMUX CYREG_PRT2_AMUX
#define Mode_2__BIE CYREG_PRT2_BIE
#define Mode_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define Mode_2__BYP CYREG_PRT2_BYP
#define Mode_2__CTL CYREG_PRT2_CTL
#define Mode_2__DM0 CYREG_PRT2_DM0
#define Mode_2__DM1 CYREG_PRT2_DM1
#define Mode_2__DM2 CYREG_PRT2_DM2
#define Mode_2__DR CYREG_PRT2_DR
#define Mode_2__INP_DIS CYREG_PRT2_INP_DIS
#define Mode_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define Mode_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Mode_2__LCD_EN CYREG_PRT2_LCD_EN
#define Mode_2__MASK 0x01u
#define Mode_2__PORT 2u
#define Mode_2__PRT CYREG_PRT2_PRT
#define Mode_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Mode_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Mode_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Mode_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Mode_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Mode_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Mode_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Mode_2__PS CYREG_PRT2_PS
#define Mode_2__SHIFT 0
#define Mode_2__SLW CYREG_PRT2_SLW

/* Clock_2 */
#define Clock_2__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock_2__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock_2__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock_2__CFG2_SRC_SEL_MASK 0x07u
#define Clock_2__INDEX 0x00u
#define Clock_2__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_2__PM_ACT_MSK 0x01u
#define Clock_2__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_2__PM_STBY_MSK 0x01u

/* EC_MOSI */
#define EC_MOSI__0__INTTYPE CYREG_PICU1_INTTYPE5
#define EC_MOSI__0__MASK 0x20u
#define EC_MOSI__0__PC CYREG_PRT1_PC5
#define EC_MOSI__0__PORT 1u
#define EC_MOSI__0__SHIFT 5
#define EC_MOSI__AG CYREG_PRT1_AG
#define EC_MOSI__AMUX CYREG_PRT1_AMUX
#define EC_MOSI__BIE CYREG_PRT1_BIE
#define EC_MOSI__BIT_MASK CYREG_PRT1_BIT_MASK
#define EC_MOSI__BYP CYREG_PRT1_BYP
#define EC_MOSI__CTL CYREG_PRT1_CTL
#define EC_MOSI__DM0 CYREG_PRT1_DM0
#define EC_MOSI__DM1 CYREG_PRT1_DM1
#define EC_MOSI__DM2 CYREG_PRT1_DM2
#define EC_MOSI__DR CYREG_PRT1_DR
#define EC_MOSI__INP_DIS CYREG_PRT1_INP_DIS
#define EC_MOSI__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define EC_MOSI__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define EC_MOSI__LCD_EN CYREG_PRT1_LCD_EN
#define EC_MOSI__MASK 0x20u
#define EC_MOSI__PORT 1u
#define EC_MOSI__PRT CYREG_PRT1_PRT
#define EC_MOSI__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define EC_MOSI__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define EC_MOSI__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define EC_MOSI__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define EC_MOSI__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define EC_MOSI__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define EC_MOSI__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define EC_MOSI__PS CYREG_PRT1_PS
#define EC_MOSI__SHIFT 5
#define EC_MOSI__SLW CYREG_PRT1_SLW

/* EC_SCLK */
#define EC_SCLK__0__INTTYPE CYREG_PICU12_INTTYPE6
#define EC_SCLK__0__MASK 0x40u
#define EC_SCLK__0__PC CYREG_PRT12_PC6
#define EC_SCLK__0__PORT 12u
#define EC_SCLK__0__SHIFT 6
#define EC_SCLK__AG CYREG_PRT12_AG
#define EC_SCLK__BIE CYREG_PRT12_BIE
#define EC_SCLK__BIT_MASK CYREG_PRT12_BIT_MASK
#define EC_SCLK__BYP CYREG_PRT12_BYP
#define EC_SCLK__DM0 CYREG_PRT12_DM0
#define EC_SCLK__DM1 CYREG_PRT12_DM1
#define EC_SCLK__DM2 CYREG_PRT12_DM2
#define EC_SCLK__DR CYREG_PRT12_DR
#define EC_SCLK__INP_DIS CYREG_PRT12_INP_DIS
#define EC_SCLK__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EC_SCLK__MASK 0x40u
#define EC_SCLK__PORT 12u
#define EC_SCLK__PRT CYREG_PRT12_PRT
#define EC_SCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EC_SCLK__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EC_SCLK__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EC_SCLK__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EC_SCLK__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EC_SCLK__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EC_SCLK__PS CYREG_PRT12_PS
#define EC_SCLK__SHIFT 6
#define EC_SCLK__SIO_CFG CYREG_PRT12_SIO_CFG
#define EC_SCLK__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EC_SCLK__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EC_SCLK__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EC_SCLK__SLW CYREG_PRT12_SLW

/* EC_SOMI */
#define EC_SOMI__0__INTTYPE CYREG_PICU1_INTTYPE7
#define EC_SOMI__0__MASK 0x80u
#define EC_SOMI__0__PC CYREG_PRT1_PC7
#define EC_SOMI__0__PORT 1u
#define EC_SOMI__0__SHIFT 7
#define EC_SOMI__AG CYREG_PRT1_AG
#define EC_SOMI__AMUX CYREG_PRT1_AMUX
#define EC_SOMI__BIE CYREG_PRT1_BIE
#define EC_SOMI__BIT_MASK CYREG_PRT1_BIT_MASK
#define EC_SOMI__BYP CYREG_PRT1_BYP
#define EC_SOMI__CTL CYREG_PRT1_CTL
#define EC_SOMI__DM0 CYREG_PRT1_DM0
#define EC_SOMI__DM1 CYREG_PRT1_DM1
#define EC_SOMI__DM2 CYREG_PRT1_DM2
#define EC_SOMI__DR CYREG_PRT1_DR
#define EC_SOMI__INP_DIS CYREG_PRT1_INP_DIS
#define EC_SOMI__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define EC_SOMI__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define EC_SOMI__LCD_EN CYREG_PRT1_LCD_EN
#define EC_SOMI__MASK 0x80u
#define EC_SOMI__PORT 1u
#define EC_SOMI__PRT CYREG_PRT1_PRT
#define EC_SOMI__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define EC_SOMI__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define EC_SOMI__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define EC_SOMI__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define EC_SOMI__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define EC_SOMI__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define EC_SOMI__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define EC_SOMI__PS CYREG_PRT1_PS
#define EC_SOMI__SHIFT 7
#define EC_SOMI__SLW CYREG_PRT1_SLW

/* Sleep_1 */
#define Sleep_1__0__INTTYPE CYREG_PICU0_INTTYPE5
#define Sleep_1__0__MASK 0x20u
#define Sleep_1__0__PC CYREG_PRT0_PC5
#define Sleep_1__0__PORT 0u
#define Sleep_1__0__SHIFT 5
#define Sleep_1__AG CYREG_PRT0_AG
#define Sleep_1__AMUX CYREG_PRT0_AMUX
#define Sleep_1__BIE CYREG_PRT0_BIE
#define Sleep_1__BIT_MASK CYREG_PRT0_BIT_MASK
#define Sleep_1__BYP CYREG_PRT0_BYP
#define Sleep_1__CTL CYREG_PRT0_CTL
#define Sleep_1__DM0 CYREG_PRT0_DM0
#define Sleep_1__DM1 CYREG_PRT0_DM1
#define Sleep_1__DM2 CYREG_PRT0_DM2
#define Sleep_1__DR CYREG_PRT0_DR
#define Sleep_1__INP_DIS CYREG_PRT0_INP_DIS
#define Sleep_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Sleep_1__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Sleep_1__LCD_EN CYREG_PRT0_LCD_EN
#define Sleep_1__MASK 0x20u
#define Sleep_1__PORT 0u
#define Sleep_1__PRT CYREG_PRT0_PRT
#define Sleep_1__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Sleep_1__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Sleep_1__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Sleep_1__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Sleep_1__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Sleep_1__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Sleep_1__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Sleep_1__PS CYREG_PRT0_PS
#define Sleep_1__SHIFT 5
#define Sleep_1__SLW CYREG_PRT0_SLW

/* Sleep_2 */
#define Sleep_2__0__INTTYPE CYREG_PICU15_INTTYPE4
#define Sleep_2__0__MASK 0x10u
#define Sleep_2__0__PC CYREG_IO_PC_PRT15_PC4
#define Sleep_2__0__PORT 15u
#define Sleep_2__0__SHIFT 4
#define Sleep_2__AG CYREG_PRT15_AG
#define Sleep_2__AMUX CYREG_PRT15_AMUX
#define Sleep_2__BIE CYREG_PRT15_BIE
#define Sleep_2__BIT_MASK CYREG_PRT15_BIT_MASK
#define Sleep_2__BYP CYREG_PRT15_BYP
#define Sleep_2__CTL CYREG_PRT15_CTL
#define Sleep_2__DM0 CYREG_PRT15_DM0
#define Sleep_2__DM1 CYREG_PRT15_DM1
#define Sleep_2__DM2 CYREG_PRT15_DM2
#define Sleep_2__DR CYREG_PRT15_DR
#define Sleep_2__INP_DIS CYREG_PRT15_INP_DIS
#define Sleep_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define Sleep_2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Sleep_2__LCD_EN CYREG_PRT15_LCD_EN
#define Sleep_2__MASK 0x10u
#define Sleep_2__PORT 15u
#define Sleep_2__PRT CYREG_PRT15_PRT
#define Sleep_2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Sleep_2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Sleep_2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Sleep_2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Sleep_2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Sleep_2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Sleep_2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Sleep_2__PS CYREG_PRT15_PS
#define Sleep_2__SHIFT 4
#define Sleep_2__SLW CYREG_PRT15_SLW

/* DETECT_0 */
#define DETECT_0__0__INTTYPE CYREG_PICU2_INTTYPE1
#define DETECT_0__0__MASK 0x02u
#define DETECT_0__0__PC CYREG_PRT2_PC1
#define DETECT_0__0__PORT 2u
#define DETECT_0__0__SHIFT 1
#define DETECT_0__AG CYREG_PRT2_AG
#define DETECT_0__AMUX CYREG_PRT2_AMUX
#define DETECT_0__BIE CYREG_PRT2_BIE
#define DETECT_0__BIT_MASK CYREG_PRT2_BIT_MASK
#define DETECT_0__BYP CYREG_PRT2_BYP
#define DETECT_0__CTL CYREG_PRT2_CTL
#define DETECT_0__DM0 CYREG_PRT2_DM0
#define DETECT_0__DM1 CYREG_PRT2_DM1
#define DETECT_0__DM2 CYREG_PRT2_DM2
#define DETECT_0__DR CYREG_PRT2_DR
#define DETECT_0__INP_DIS CYREG_PRT2_INP_DIS
#define DETECT_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define DETECT_0__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define DETECT_0__LCD_EN CYREG_PRT2_LCD_EN
#define DETECT_0__MASK 0x02u
#define DETECT_0__PORT 2u
#define DETECT_0__PRT CYREG_PRT2_PRT
#define DETECT_0__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define DETECT_0__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define DETECT_0__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define DETECT_0__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define DETECT_0__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define DETECT_0__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define DETECT_0__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define DETECT_0__PS CYREG_PRT2_PS
#define DETECT_0__SHIFT 1
#define DETECT_0__SLW CYREG_PRT2_SLW

/* DETECT_1 */
#define DETECT_1__0__INTTYPE CYREG_PICU2_INTTYPE2
#define DETECT_1__0__MASK 0x04u
#define DETECT_1__0__PC CYREG_PRT2_PC2
#define DETECT_1__0__PORT 2u
#define DETECT_1__0__SHIFT 2
#define DETECT_1__AG CYREG_PRT2_AG
#define DETECT_1__AMUX CYREG_PRT2_AMUX
#define DETECT_1__BIE CYREG_PRT2_BIE
#define DETECT_1__BIT_MASK CYREG_PRT2_BIT_MASK
#define DETECT_1__BYP CYREG_PRT2_BYP
#define DETECT_1__CTL CYREG_PRT2_CTL
#define DETECT_1__DM0 CYREG_PRT2_DM0
#define DETECT_1__DM1 CYREG_PRT2_DM1
#define DETECT_1__DM2 CYREG_PRT2_DM2
#define DETECT_1__DR CYREG_PRT2_DR
#define DETECT_1__INP_DIS CYREG_PRT2_INP_DIS
#define DETECT_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define DETECT_1__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define DETECT_1__LCD_EN CYREG_PRT2_LCD_EN
#define DETECT_1__MASK 0x04u
#define DETECT_1__PORT 2u
#define DETECT_1__PRT CYREG_PRT2_PRT
#define DETECT_1__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define DETECT_1__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define DETECT_1__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define DETECT_1__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define DETECT_1__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define DETECT_1__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define DETECT_1__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define DETECT_1__PS CYREG_PRT2_PS
#define DETECT_1__SHIFT 2
#define DETECT_1__SLW CYREG_PRT2_SLW

/* DETECT_2 */
#define DETECT_2__0__INTTYPE CYREG_PICU2_INTTYPE3
#define DETECT_2__0__MASK 0x08u
#define DETECT_2__0__PC CYREG_PRT2_PC3
#define DETECT_2__0__PORT 2u
#define DETECT_2__0__SHIFT 3
#define DETECT_2__AG CYREG_PRT2_AG
#define DETECT_2__AMUX CYREG_PRT2_AMUX
#define DETECT_2__BIE CYREG_PRT2_BIE
#define DETECT_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define DETECT_2__BYP CYREG_PRT2_BYP
#define DETECT_2__CTL CYREG_PRT2_CTL
#define DETECT_2__DM0 CYREG_PRT2_DM0
#define DETECT_2__DM1 CYREG_PRT2_DM1
#define DETECT_2__DM2 CYREG_PRT2_DM2
#define DETECT_2__DR CYREG_PRT2_DR
#define DETECT_2__INP_DIS CYREG_PRT2_INP_DIS
#define DETECT_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define DETECT_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define DETECT_2__LCD_EN CYREG_PRT2_LCD_EN
#define DETECT_2__MASK 0x08u
#define DETECT_2__PORT 2u
#define DETECT_2__PRT CYREG_PRT2_PRT
#define DETECT_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define DETECT_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define DETECT_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define DETECT_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define DETECT_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define DETECT_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define DETECT_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define DETECT_2__PS CYREG_PRT2_PS
#define DETECT_2__SHIFT 3
#define DETECT_2__SLW CYREG_PRT2_SLW

/* DETECT_3 */
#define DETECT_3__0__INTTYPE CYREG_PICU2_INTTYPE4
#define DETECT_3__0__MASK 0x10u
#define DETECT_3__0__PC CYREG_PRT2_PC4
#define DETECT_3__0__PORT 2u
#define DETECT_3__0__SHIFT 4
#define DETECT_3__AG CYREG_PRT2_AG
#define DETECT_3__AMUX CYREG_PRT2_AMUX
#define DETECT_3__BIE CYREG_PRT2_BIE
#define DETECT_3__BIT_MASK CYREG_PRT2_BIT_MASK
#define DETECT_3__BYP CYREG_PRT2_BYP
#define DETECT_3__CTL CYREG_PRT2_CTL
#define DETECT_3__DM0 CYREG_PRT2_DM0
#define DETECT_3__DM1 CYREG_PRT2_DM1
#define DETECT_3__DM2 CYREG_PRT2_DM2
#define DETECT_3__DR CYREG_PRT2_DR
#define DETECT_3__INP_DIS CYREG_PRT2_INP_DIS
#define DETECT_3__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define DETECT_3__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define DETECT_3__LCD_EN CYREG_PRT2_LCD_EN
#define DETECT_3__MASK 0x10u
#define DETECT_3__PORT 2u
#define DETECT_3__PRT CYREG_PRT2_PRT
#define DETECT_3__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define DETECT_3__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define DETECT_3__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define DETECT_3__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define DETECT_3__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define DETECT_3__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define DETECT_3__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define DETECT_3__PS CYREG_PRT2_PS
#define DETECT_3__SHIFT 4
#define DETECT_3__SLW CYREG_PRT2_SLW

/* DIG_IO_0 */
#define DIG_IO_0__0__INTTYPE CYREG_PICU3_INTTYPE2
#define DIG_IO_0__0__MASK 0x04u
#define DIG_IO_0__0__PC CYREG_PRT3_PC2
#define DIG_IO_0__0__PORT 3u
#define DIG_IO_0__0__SHIFT 2
#define DIG_IO_0__AG CYREG_PRT3_AG
#define DIG_IO_0__AMUX CYREG_PRT3_AMUX
#define DIG_IO_0__BIE CYREG_PRT3_BIE
#define DIG_IO_0__BIT_MASK CYREG_PRT3_BIT_MASK
#define DIG_IO_0__BYP CYREG_PRT3_BYP
#define DIG_IO_0__CTL CYREG_PRT3_CTL
#define DIG_IO_0__DM0 CYREG_PRT3_DM0
#define DIG_IO_0__DM1 CYREG_PRT3_DM1
#define DIG_IO_0__DM2 CYREG_PRT3_DM2
#define DIG_IO_0__DR CYREG_PRT3_DR
#define DIG_IO_0__INP_DIS CYREG_PRT3_INP_DIS
#define DIG_IO_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define DIG_IO_0__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define DIG_IO_0__LCD_EN CYREG_PRT3_LCD_EN
#define DIG_IO_0__MASK 0x04u
#define DIG_IO_0__PORT 3u
#define DIG_IO_0__PRT CYREG_PRT3_PRT
#define DIG_IO_0__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define DIG_IO_0__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define DIG_IO_0__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define DIG_IO_0__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define DIG_IO_0__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define DIG_IO_0__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define DIG_IO_0__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define DIG_IO_0__PS CYREG_PRT3_PS
#define DIG_IO_0__SHIFT 2
#define DIG_IO_0__SLW CYREG_PRT3_SLW

/* DIG_IO_5 */
#define DIG_IO_5__0__INTTYPE CYREG_PICU3_INTTYPE5
#define DIG_IO_5__0__MASK 0x20u
#define DIG_IO_5__0__PC CYREG_PRT3_PC5
#define DIG_IO_5__0__PORT 3u
#define DIG_IO_5__0__SHIFT 5
#define DIG_IO_5__AG CYREG_PRT3_AG
#define DIG_IO_5__AMUX CYREG_PRT3_AMUX
#define DIG_IO_5__BIE CYREG_PRT3_BIE
#define DIG_IO_5__BIT_MASK CYREG_PRT3_BIT_MASK
#define DIG_IO_5__BYP CYREG_PRT3_BYP
#define DIG_IO_5__CTL CYREG_PRT3_CTL
#define DIG_IO_5__DM0 CYREG_PRT3_DM0
#define DIG_IO_5__DM1 CYREG_PRT3_DM1
#define DIG_IO_5__DM2 CYREG_PRT3_DM2
#define DIG_IO_5__DR CYREG_PRT3_DR
#define DIG_IO_5__INP_DIS CYREG_PRT3_INP_DIS
#define DIG_IO_5__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define DIG_IO_5__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define DIG_IO_5__LCD_EN CYREG_PRT3_LCD_EN
#define DIG_IO_5__MASK 0x20u
#define DIG_IO_5__PORT 3u
#define DIG_IO_5__PRT CYREG_PRT3_PRT
#define DIG_IO_5__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define DIG_IO_5__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define DIG_IO_5__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define DIG_IO_5__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define DIG_IO_5__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define DIG_IO_5__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define DIG_IO_5__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define DIG_IO_5__PS CYREG_PRT3_PS
#define DIG_IO_5__SHIFT 5
#define DIG_IO_5__SLW CYREG_PRT3_SLW

/* EC_EEPROM_I2C_Prim */
#define EC_EEPROM_I2C_Prim__ADR CYREG_I2C_ADR
#define EC_EEPROM_I2C_Prim__CFG CYREG_I2C_CFG
#define EC_EEPROM_I2C_Prim__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define EC_EEPROM_I2C_Prim__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define EC_EEPROM_I2C_Prim__CSR CYREG_I2C_CSR
#define EC_EEPROM_I2C_Prim__D CYREG_I2C_D
#define EC_EEPROM_I2C_Prim__MCSR CYREG_I2C_MCSR
#define EC_EEPROM_I2C_Prim__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define EC_EEPROM_I2C_Prim__PM_ACT_MSK 0x04u
#define EC_EEPROM_I2C_Prim__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define EC_EEPROM_I2C_Prim__PM_STBY_MSK 0x04u
#define EC_EEPROM_I2C_Prim__XCFG CYREG_I2C_XCFG

/* EC_EEPROM_isr */
#define EC_EEPROM_isr__ES2_PATCH 0u
#define EC_EEPROM_isr__INTC_CLR_EN_REG CYREG_INTC_CLR_EN1
#define EC_EEPROM_isr__INTC_CLR_PD_REG CYREG_INTC_CLR_PD1
#define EC_EEPROM_isr__INTC_MASK 0x80u
#define EC_EEPROM_isr__INTC_NUMBER 15u
#define EC_EEPROM_isr__INTC_PRIOR_NUM 7u
#define EC_EEPROM_isr__INTC_PRIOR_REG CYREG_INTC_PRIOR15
#define EC_EEPROM_isr__INTC_SET_EN_REG CYREG_INTC_SET_EN1
#define EC_EEPROM_isr__INTC_SET_PD_REG CYREG_INTC_SET_PD1
#define EC_EEPROM_isr__INTC_VECT (CYREG_INTC_VECT_MBASE+0x1Eu)

/* DC_Motor_1_Clock_1 */
#define DC_Motor_1_Clock_1__CFG0 CYREG_CLKDIST_DCFG3_CFG0
#define DC_Motor_1_Clock_1__CFG1 CYREG_CLKDIST_DCFG3_CFG1
#define DC_Motor_1_Clock_1__CFG2 CYREG_CLKDIST_DCFG3_CFG2
#define DC_Motor_1_Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define DC_Motor_1_Clock_1__INDEX 0x03u
#define DC_Motor_1_Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define DC_Motor_1_Clock_1__PM_ACT_MSK 0x08u
#define DC_Motor_1_Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define DC_Motor_1_Clock_1__PM_STBY_MSK 0x08u

/* DC_Motor_1_Control_Reg */
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__0__MASK 0x01u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__0__POS 0
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__1__MASK 0x02u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__1__POS 1
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB06_07_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB06_07_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB06_07_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB06_07_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB06_07_MSK
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB06_07_MSK
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB06_07_MSK
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB06_07_MSK
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__2__MASK 0x04u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__2__POS 2
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__3__MASK 0x08u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__3__POS 3
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__4__MASK 0x10u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__4__POS 4
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__5__MASK 0x20u
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__5__POS 5
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB06_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB06_ST_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB06_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB06_ST_CTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__MASK 0x3Fu
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL
#define DC_Motor_1_Control_Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB06_MSK

/* DC_Motor_1_PWM_PWMUDB */
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB11_12_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB11_12_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB11_12_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB11_12_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B0_UDB11_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB11_ST_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B0_UDB11_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B0_UDB11_ST_CTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B0_UDB11_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__0__MASK 0x01u
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__0__POS 0
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__2__MASK 0x04u
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__2__POS 2
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__3__MASK 0x08u
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__3__POS 3
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__5__MASK 0x20u
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__5__POS 5
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__MASK 0x2Du
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__MASK_REG CYREG_B0_UDB02_MSK
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define DC_Motor_1_PWM_PWMUDB_genblk8_stsreg__STATUS_REG CYREG_B0_UDB02_ST
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG CYREG_B1_UDB06_07_A0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG CYREG_B1_UDB06_07_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG CYREG_B1_UDB06_07_D0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG CYREG_B1_UDB06_07_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG CYREG_B1_UDB06_07_F0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG CYREG_B1_UDB06_07_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__A0_A1_REG CYREG_B1_UDB06_A0_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__A0_REG CYREG_B1_UDB06_A0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__A1_REG CYREG_B1_UDB06_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__D0_D1_REG CYREG_B1_UDB06_D0_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__D0_REG CYREG_B1_UDB06_D0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__D1_REG CYREG_B1_UDB06_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__F0_F1_REG CYREG_B1_UDB06_F0_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__F0_REG CYREG_B1_UDB06_F0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u0__F1_REG CYREG_B1_UDB06_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__A0_REG CYREG_B1_UDB07_A0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__A1_REG CYREG_B1_UDB07_A1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__D0_REG CYREG_B1_UDB07_D0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__D1_REG CYREG_B1_UDB07_D1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__F0_REG CYREG_B1_UDB07_F0
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__F1_REG CYREG_B1_UDB07_F1
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__MSK_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define DC_Motor_1_PWM_PWMUDB_sP16_pwmdp_u1__PER_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL

/* DC_Motor_1_QR_Interrupt */
#define DC_Motor_1_QR_Interrupt__ES2_PATCH 0u
#define DC_Motor_1_QR_Interrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define DC_Motor_1_QR_Interrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define DC_Motor_1_QR_Interrupt__INTC_MASK 0x02u
#define DC_Motor_1_QR_Interrupt__INTC_NUMBER 1u
#define DC_Motor_1_QR_Interrupt__INTC_PRIOR_NUM 7u
#define DC_Motor_1_QR_Interrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR1
#define DC_Motor_1_QR_Interrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define DC_Motor_1_QR_Interrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define DC_Motor_1_QR_Interrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x02u)

/* DC_Motor_1_QuadDec_bQuadDec */
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__0__MASK 0x01u
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__0__POS 0
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__1__MASK 0x02u
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__1__POS 1
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__16BIT_STATUS_REG CYREG_B0_UDB01_02_ST
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__2__MASK 0x04u
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__2__POS 2
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__3__MASK 0x08u
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__3__POS 3
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__MASK 0x0Fu
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__MASK_REG CYREG_B0_UDB01_MSK
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__STATUS_CNT_REG CYREG_B0_UDB01_ST_CTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__STATUS_CONTROL_REG CYREG_B0_UDB01_ST_CTL
#define DC_Motor_1_QuadDec_bQuadDec_Stsreg__STATUS_REG CYREG_B0_UDB01_ST

/* DC_Motor_1_QuadDec_Cnt16_CounterUDB */
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_A0_REG CYREG_B0_UDB14_15_A0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_A1_REG CYREG_B0_UDB14_15_A1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_D0_REG CYREG_B0_UDB14_15_D0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_D1_REG CYREG_B0_UDB14_15_D1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB14_15_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_F0_REG CYREG_B0_UDB14_15_F0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_F1_REG CYREG_B0_UDB14_15_F1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A0_A1_REG CYREG_B0_UDB14_A0_A1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A0_REG CYREG_B0_UDB14_A0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A1_REG CYREG_B0_UDB14_A1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D0_D1_REG CYREG_B0_UDB14_D0_D1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D0_REG CYREG_B0_UDB14_D0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D1_REG CYREG_B0_UDB14_D1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB14_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F0_F1_REG CYREG_B0_UDB14_F0_F1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F0_REG CYREG_B0_UDB14_F0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F1_REG CYREG_B0_UDB14_F1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A0_A1_REG CYREG_B0_UDB15_A0_A1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A0_REG CYREG_B0_UDB15_A0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A1_REG CYREG_B0_UDB15_A1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D0_D1_REG CYREG_B0_UDB15_D0_D1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D0_REG CYREG_B0_UDB15_D0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D1_REG CYREG_B0_UDB15_D1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB15_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F0_F1_REG CYREG_B0_UDB15_F0_F1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F0_REG CYREG_B0_UDB15_F0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F1_REG CYREG_B0_UDB15_F1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB01_02_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB01_02_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB01_02_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB01_02_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB01_02_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB01_02_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB01_02_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB01_02_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB01_02_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__7__MASK 0x80u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__7__POS 7
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB01_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_REG CYREG_B0_UDB01_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB01_ST_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__COUNT_REG CYREG_B0_UDB01_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__COUNT_ST_REG CYREG_B0_UDB01_ST_CTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__MASK 0x80u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB01_MSK_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__PERIOD_REG CYREG_B0_UDB01_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__0__MASK 0x01u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__0__POS 0
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__1__MASK 0x02u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__1__POS 1
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__2__MASK 0x04u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__2__POS 2
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__3__MASK 0x08u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__3__POS 3
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__5__MASK 0x20u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__5__POS 5
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__6__MASK 0x40u
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__6__POS 6
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__MASK 0x6Fu
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__MASK_REG CYREG_B0_UDB15_MSK
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB15_ACTL
#define DC_Motor_1_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__STATUS_REG CYREG_B0_UDB15_ST

/* DC_Motor_1_Status_Reg */
#define DC_Motor_1_Status_Reg_sts_sts_reg__0__MASK 0x01u
#define DC_Motor_1_Status_Reg_sts_sts_reg__0__POS 0
#define DC_Motor_1_Status_Reg_sts_sts_reg__1__MASK 0x02u
#define DC_Motor_1_Status_Reg_sts_sts_reg__1__POS 1
#define DC_Motor_1_Status_Reg_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define DC_Motor_1_Status_Reg_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define DC_Motor_1_Status_Reg_sts_sts_reg__2__MASK 0x04u
#define DC_Motor_1_Status_Reg_sts_sts_reg__2__POS 2
#define DC_Motor_1_Status_Reg_sts_sts_reg__3__MASK 0x08u
#define DC_Motor_1_Status_Reg_sts_sts_reg__3__POS 3
#define DC_Motor_1_Status_Reg_sts_sts_reg__MASK 0x0Fu
#define DC_Motor_1_Status_Reg_sts_sts_reg__MASK_REG CYREG_B0_UDB07_MSK
#define DC_Motor_1_Status_Reg_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define DC_Motor_1_Status_Reg_sts_sts_reg__STATUS_REG CYREG_B0_UDB07_ST

/* DC_Motor_2_Clock_1 */
#define DC_Motor_2_Clock_1__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define DC_Motor_2_Clock_1__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define DC_Motor_2_Clock_1__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define DC_Motor_2_Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define DC_Motor_2_Clock_1__INDEX 0x02u
#define DC_Motor_2_Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define DC_Motor_2_Clock_1__PM_ACT_MSK 0x04u
#define DC_Motor_2_Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define DC_Motor_2_Clock_1__PM_STBY_MSK 0x04u

/* DC_Motor_2_Control_Reg */
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__0__MASK 0x01u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__0__POS 0
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__1__MASK 0x02u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__1__POS 1
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB04_05_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB04_05_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB04_05_MSK
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB04_05_MSK
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__2__MASK 0x04u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__2__POS 2
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__3__MASK 0x08u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__3__POS 3
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__4__MASK 0x10u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__4__POS 4
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__5__MASK 0x20u
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__5__POS 5
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB04_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB04_ST_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB04_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB04_ST_CTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__MASK 0x3Fu
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define DC_Motor_2_Control_Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB04_MSK

/* DC_Motor_2_PWM_PWMUDB */
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB12_13_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB12_13_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB12_13_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB12_13_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B0_UDB12_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB12_ST_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B0_UDB12_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B0_UDB12_ST_CTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B0_UDB12_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__0__MASK 0x01u
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__0__POS 0
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__2__MASK 0x04u
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__2__POS 2
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__3__MASK 0x08u
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__3__POS 3
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__5__MASK 0x20u
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__5__POS 5
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__MASK 0x2Du
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__MASK_REG CYREG_B0_UDB03_MSK
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define DC_Motor_2_PWM_PWMUDB_genblk8_stsreg__STATUS_REG CYREG_B0_UDB03_ST
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB02_03_A0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB02_03_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB02_03_D0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB02_03_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB02_03_F0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB02_03_F1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__A0_A1_REG CYREG_B0_UDB02_A0_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__A0_REG CYREG_B0_UDB02_A0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__A1_REG CYREG_B0_UDB02_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__D0_D1_REG CYREG_B0_UDB02_D0_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__D0_REG CYREG_B0_UDB02_D0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__D1_REG CYREG_B0_UDB02_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__F0_F1_REG CYREG_B0_UDB02_F0_F1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__F0_REG CYREG_B0_UDB02_F0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u0__F1_REG CYREG_B0_UDB02_F1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A0_REG CYREG_B0_UDB03_04_A0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_A1_REG CYREG_B0_UDB03_04_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D0_REG CYREG_B0_UDB03_04_D0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_D1_REG CYREG_B0_UDB03_04_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F0_REG CYREG_B0_UDB03_04_F0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__16BIT_F1_REG CYREG_B0_UDB03_04_F1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__A0_A1_REG CYREG_B0_UDB03_A0_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__A0_REG CYREG_B0_UDB03_A0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__A1_REG CYREG_B0_UDB03_A1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__D0_D1_REG CYREG_B0_UDB03_D0_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__D0_REG CYREG_B0_UDB03_D0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__D1_REG CYREG_B0_UDB03_D1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__F0_F1_REG CYREG_B0_UDB03_F0_F1
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__F0_REG CYREG_B0_UDB03_F0
#define DC_Motor_2_PWM_PWMUDB_sP16_pwmdp_u1__F1_REG CYREG_B0_UDB03_F1

/* DC_Motor_2_QR_Interrupt */
#define DC_Motor_2_QR_Interrupt__ES2_PATCH 0u
#define DC_Motor_2_QR_Interrupt__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define DC_Motor_2_QR_Interrupt__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define DC_Motor_2_QR_Interrupt__INTC_MASK 0x04u
#define DC_Motor_2_QR_Interrupt__INTC_NUMBER 2u
#define DC_Motor_2_QR_Interrupt__INTC_PRIOR_NUM 7u
#define DC_Motor_2_QR_Interrupt__INTC_PRIOR_REG CYREG_INTC_PRIOR2
#define DC_Motor_2_QR_Interrupt__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define DC_Motor_2_QR_Interrupt__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define DC_Motor_2_QR_Interrupt__INTC_VECT (CYREG_INTC_VECT_MBASE+0x04u)

/* DC_Motor_2_QuadDec_bQuadDec */
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__0__MASK 0x01u
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__0__POS 0
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__1__MASK 0x02u
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__1__POS 1
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__2__MASK 0x04u
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__2__POS 2
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__3__MASK 0x08u
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__3__POS 3
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__MASK 0x0Fu
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__MASK_REG CYREG_B1_UDB07_MSK
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__MASK_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__PER_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__STATUS_CNT_REG CYREG_B1_UDB07_ST_CTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__STATUS_CONTROL_REG CYREG_B1_UDB07_ST_CTL
#define DC_Motor_2_QuadDec_bQuadDec_Stsreg__STATUS_REG CYREG_B1_UDB07_ST

/* DC_Motor_2_QuadDec_Cnt16_CounterUDB */
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_A0_REG CYREG_B0_UDB10_11_A0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_A1_REG CYREG_B0_UDB10_11_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_D0_REG CYREG_B0_UDB10_11_D0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_D1_REG CYREG_B0_UDB10_11_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_F0_REG CYREG_B0_UDB10_11_F0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__16BIT_F1_REG CYREG_B0_UDB10_11_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A0_A1_REG CYREG_B0_UDB10_A0_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A0_REG CYREG_B0_UDB10_A0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__A1_REG CYREG_B0_UDB10_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D0_D1_REG CYREG_B0_UDB10_D0_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D0_REG CYREG_B0_UDB10_D0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__D1_REG CYREG_B0_UDB10_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F0_F1_REG CYREG_B0_UDB10_F0_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F0_REG CYREG_B0_UDB10_F0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u0__F1_REG CYREG_B0_UDB10_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_A0_REG CYREG_B0_UDB11_12_A0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_A1_REG CYREG_B0_UDB11_12_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_D0_REG CYREG_B0_UDB11_12_D0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_D1_REG CYREG_B0_UDB11_12_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_F0_REG CYREG_B0_UDB11_12_F0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__16BIT_F1_REG CYREG_B0_UDB11_12_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A0_A1_REG CYREG_B0_UDB11_A0_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A0_REG CYREG_B0_UDB11_A0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__A1_REG CYREG_B0_UDB11_A1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D0_D1_REG CYREG_B0_UDB11_D0_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D0_REG CYREG_B0_UDB11_D0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__D1_REG CYREG_B0_UDB11_D1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F0_F1_REG CYREG_B0_UDB11_F0_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F0_REG CYREG_B0_UDB11_F0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__F1_REG CYREG_B0_UDB11_F1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__MSK_DP_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sC16_counterdp_u1__PER_DP_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__7__MASK 0x80u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__7__POS 7
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_REG CYREG_B1_UDB07_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__COUNT_REG CYREG_B1_UDB07_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__MASK 0x80u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sCTRLReg_ctrlreg__PERIOD_REG CYREG_B1_UDB07_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__0__MASK 0x01u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__0__POS 0
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__1__MASK 0x02u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__1__POS 1
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__16BIT_STATUS_REG CYREG_B0_UDB08_09_ST
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__2__MASK 0x04u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__2__POS 2
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__3__MASK 0x08u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__3__POS 3
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__5__MASK 0x20u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__5__POS 5
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__6__MASK 0x40u
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__6__POS 6
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__MASK 0x6Fu
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__MASK_REG CYREG_B0_UDB08_MSK
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define DC_Motor_2_QuadDec_Cnt16_CounterUDB_sSTSReg_stsreg__STATUS_REG CYREG_B0_UDB08_ST

/* DC_Motor_2_Status_Reg */
#define DC_Motor_2_Status_Reg_sts_sts_reg__0__MASK 0x01u
#define DC_Motor_2_Status_Reg_sts_sts_reg__0__POS 0
#define DC_Motor_2_Status_Reg_sts_sts_reg__1__MASK 0x02u
#define DC_Motor_2_Status_Reg_sts_sts_reg__1__POS 1
#define DC_Motor_2_Status_Reg_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB06_07_ST
#define DC_Motor_2_Status_Reg_sts_sts_reg__2__MASK 0x04u
#define DC_Motor_2_Status_Reg_sts_sts_reg__2__POS 2
#define DC_Motor_2_Status_Reg_sts_sts_reg__3__MASK 0x08u
#define DC_Motor_2_Status_Reg_sts_sts_reg__3__POS 3
#define DC_Motor_2_Status_Reg_sts_sts_reg__MASK 0x0Fu
#define DC_Motor_2_Status_Reg_sts_sts_reg__MASK_REG CYREG_B0_UDB06_MSK
#define DC_Motor_2_Status_Reg_sts_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB06_MSK_ACTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__STATUS_CNT_REG CYREG_B0_UDB06_ST_CTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB06_ST_CTL
#define DC_Motor_2_Status_Reg_sts_sts_reg__STATUS_REG CYREG_B0_UDB06_ST

/* Direction_1 */
#define Direction_1__0__INTTYPE CYREG_PICU3_INTTYPE1
#define Direction_1__0__MASK 0x02u
#define Direction_1__0__PC CYREG_PRT3_PC1
#define Direction_1__0__PORT 3u
#define Direction_1__0__SHIFT 1
#define Direction_1__AG CYREG_PRT3_AG
#define Direction_1__AMUX CYREG_PRT3_AMUX
#define Direction_1__BIE CYREG_PRT3_BIE
#define Direction_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define Direction_1__BYP CYREG_PRT3_BYP
#define Direction_1__CTL CYREG_PRT3_CTL
#define Direction_1__DM0 CYREG_PRT3_DM0
#define Direction_1__DM1 CYREG_PRT3_DM1
#define Direction_1__DM2 CYREG_PRT3_DM2
#define Direction_1__DR CYREG_PRT3_DR
#define Direction_1__INP_DIS CYREG_PRT3_INP_DIS
#define Direction_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define Direction_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Direction_1__LCD_EN CYREG_PRT3_LCD_EN
#define Direction_1__MASK 0x02u
#define Direction_1__PORT 3u
#define Direction_1__PRT CYREG_PRT3_PRT
#define Direction_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Direction_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Direction_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Direction_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Direction_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Direction_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Direction_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Direction_1__PS CYREG_PRT3_PS
#define Direction_1__SHIFT 1
#define Direction_1__SLW CYREG_PRT3_SLW

/* Direction_2 */
#define Direction_2__0__INTTYPE CYREG_PICU15_INTTYPE5
#define Direction_2__0__MASK 0x20u
#define Direction_2__0__PC CYREG_IO_PC_PRT15_PC5
#define Direction_2__0__PORT 15u
#define Direction_2__0__SHIFT 5
#define Direction_2__AG CYREG_PRT15_AG
#define Direction_2__AMUX CYREG_PRT15_AMUX
#define Direction_2__BIE CYREG_PRT15_BIE
#define Direction_2__BIT_MASK CYREG_PRT15_BIT_MASK
#define Direction_2__BYP CYREG_PRT15_BYP
#define Direction_2__CTL CYREG_PRT15_CTL
#define Direction_2__DM0 CYREG_PRT15_DM0
#define Direction_2__DM1 CYREG_PRT15_DM1
#define Direction_2__DM2 CYREG_PRT15_DM2
#define Direction_2__DR CYREG_PRT15_DR
#define Direction_2__INP_DIS CYREG_PRT15_INP_DIS
#define Direction_2__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define Direction_2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Direction_2__LCD_EN CYREG_PRT15_LCD_EN
#define Direction_2__MASK 0x20u
#define Direction_2__PORT 15u
#define Direction_2__PRT CYREG_PRT15_PRT
#define Direction_2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Direction_2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Direction_2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Direction_2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Direction_2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Direction_2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Direction_2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Direction_2__PS CYREG_PRT15_PS
#define Direction_2__SHIFT 5
#define Direction_2__SLW CYREG_PRT15_SLW

/* EtherCAT_LED */
#define EtherCAT_LED_datapath_u0__16BIT_A0_REG CYREG_B0_UDB08_09_A0
#define EtherCAT_LED_datapath_u0__16BIT_A1_REG CYREG_B0_UDB08_09_A1
#define EtherCAT_LED_datapath_u0__16BIT_D0_REG CYREG_B0_UDB08_09_D0
#define EtherCAT_LED_datapath_u0__16BIT_D1_REG CYREG_B0_UDB08_09_D1
#define EtherCAT_LED_datapath_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define EtherCAT_LED_datapath_u0__16BIT_F0_REG CYREG_B0_UDB08_09_F0
#define EtherCAT_LED_datapath_u0__16BIT_F1_REG CYREG_B0_UDB08_09_F1
#define EtherCAT_LED_datapath_u0__A0_A1_REG CYREG_B0_UDB08_A0_A1
#define EtherCAT_LED_datapath_u0__A0_REG CYREG_B0_UDB08_A0
#define EtherCAT_LED_datapath_u0__A1_REG CYREG_B0_UDB08_A1
#define EtherCAT_LED_datapath_u0__D0_D1_REG CYREG_B0_UDB08_D0_D1
#define EtherCAT_LED_datapath_u0__D0_REG CYREG_B0_UDB08_D0
#define EtherCAT_LED_datapath_u0__D1_REG CYREG_B0_UDB08_D1
#define EtherCAT_LED_datapath_u0__DP_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define EtherCAT_LED_datapath_u0__F0_F1_REG CYREG_B0_UDB08_F0_F1
#define EtherCAT_LED_datapath_u0__F0_REG CYREG_B0_UDB08_F0
#define EtherCAT_LED_datapath_u0__F1_REG CYREG_B0_UDB08_F1
#define EtherCAT_LED_datapath_u1__16BIT_A0_REG CYREG_B0_UDB09_10_A0
#define EtherCAT_LED_datapath_u1__16BIT_A1_REG CYREG_B0_UDB09_10_A1
#define EtherCAT_LED_datapath_u1__16BIT_D0_REG CYREG_B0_UDB09_10_D0
#define EtherCAT_LED_datapath_u1__16BIT_D1_REG CYREG_B0_UDB09_10_D1
#define EtherCAT_LED_datapath_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define EtherCAT_LED_datapath_u1__16BIT_F0_REG CYREG_B0_UDB09_10_F0
#define EtherCAT_LED_datapath_u1__16BIT_F1_REG CYREG_B0_UDB09_10_F1
#define EtherCAT_LED_datapath_u1__A0_A1_REG CYREG_B0_UDB09_A0_A1
#define EtherCAT_LED_datapath_u1__A0_REG CYREG_B0_UDB09_A0
#define EtherCAT_LED_datapath_u1__A1_REG CYREG_B0_UDB09_A1
#define EtherCAT_LED_datapath_u1__D0_D1_REG CYREG_B0_UDB09_D0_D1
#define EtherCAT_LED_datapath_u1__D0_REG CYREG_B0_UDB09_D0
#define EtherCAT_LED_datapath_u1__D1_REG CYREG_B0_UDB09_D1
#define EtherCAT_LED_datapath_u1__DP_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define EtherCAT_LED_datapath_u1__F0_F1_REG CYREG_B0_UDB09_F0_F1
#define EtherCAT_LED_datapath_u1__F0_REG CYREG_B0_UDB09_F0
#define EtherCAT_LED_datapath_u1__F1_REG CYREG_B0_UDB09_F1

/* RESET_ET1200 */
#define RESET_ET1200__0__INTTYPE CYREG_PICU15_INTTYPE7
#define RESET_ET1200__0__MASK 0x80u
#define RESET_ET1200__0__PC CYREG_IO_PC_PRT15_7_6_PC1
#define RESET_ET1200__0__PORT 15u
#define RESET_ET1200__0__SHIFT 7
#define RESET_ET1200__AG CYREG_PRT15_AG
#define RESET_ET1200__AMUX CYREG_PRT15_AMUX
#define RESET_ET1200__BIE CYREG_PRT15_BIE
#define RESET_ET1200__BIT_MASK CYREG_PRT15_BIT_MASK
#define RESET_ET1200__BYP CYREG_PRT15_BYP
#define RESET_ET1200__CTL CYREG_PRT15_CTL
#define RESET_ET1200__DM0 CYREG_PRT15_DM0
#define RESET_ET1200__DM1 CYREG_PRT15_DM1
#define RESET_ET1200__DM2 CYREG_PRT15_DM2
#define RESET_ET1200__DR CYREG_PRT15_DR
#define RESET_ET1200__INP_DIS CYREG_PRT15_INP_DIS
#define RESET_ET1200__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define RESET_ET1200__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define RESET_ET1200__LCD_EN CYREG_PRT15_LCD_EN
#define RESET_ET1200__MASK 0x80u
#define RESET_ET1200__PORT 15u
#define RESET_ET1200__PRT CYREG_PRT15_PRT
#define RESET_ET1200__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define RESET_ET1200__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define RESET_ET1200__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define RESET_ET1200__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define RESET_ET1200__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define RESET_ET1200__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define RESET_ET1200__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define RESET_ET1200__PS CYREG_PRT15_PS
#define RESET_ET1200__SHIFT 7
#define RESET_ET1200__SLW CYREG_PRT15_SLW

/* SYNC_LATCH_0 */
#define SYNC_LATCH_0__0__INTTYPE CYREG_PICU1_INTTYPE6
#define SYNC_LATCH_0__0__MASK 0x40u
#define SYNC_LATCH_0__0__PC CYREG_PRT1_PC6
#define SYNC_LATCH_0__0__PORT 1u
#define SYNC_LATCH_0__0__SHIFT 6
#define SYNC_LATCH_0__AG CYREG_PRT1_AG
#define SYNC_LATCH_0__AMUX CYREG_PRT1_AMUX
#define SYNC_LATCH_0__BIE CYREG_PRT1_BIE
#define SYNC_LATCH_0__BIT_MASK CYREG_PRT1_BIT_MASK
#define SYNC_LATCH_0__BYP CYREG_PRT1_BYP
#define SYNC_LATCH_0__CTL CYREG_PRT1_CTL
#define SYNC_LATCH_0__DM0 CYREG_PRT1_DM0
#define SYNC_LATCH_0__DM1 CYREG_PRT1_DM1
#define SYNC_LATCH_0__DM2 CYREG_PRT1_DM2
#define SYNC_LATCH_0__DR CYREG_PRT1_DR
#define SYNC_LATCH_0__INP_DIS CYREG_PRT1_INP_DIS
#define SYNC_LATCH_0__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU1_BASE
#define SYNC_LATCH_0__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define SYNC_LATCH_0__LCD_EN CYREG_PRT1_LCD_EN
#define SYNC_LATCH_0__MASK 0x40u
#define SYNC_LATCH_0__PORT 1u
#define SYNC_LATCH_0__PRT CYREG_PRT1_PRT
#define SYNC_LATCH_0__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define SYNC_LATCH_0__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define SYNC_LATCH_0__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define SYNC_LATCH_0__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define SYNC_LATCH_0__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define SYNC_LATCH_0__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define SYNC_LATCH_0__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define SYNC_LATCH_0__PS CYREG_PRT1_PS
#define SYNC_LATCH_0__SHIFT 6
#define SYNC_LATCH_0__SLW CYREG_PRT1_SLW

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 64000000U
#define BCLK__BUS_CLK__KHZ 64000U
#define BCLK__BUS_CLK__MHZ 64U
#define CY_PROJECT_NAME "103-000-2011-00"
#define CY_VERSION "PSoC Creator  3.3"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 18u
#define CYDEV_CHIP_DIE_PSOC4A 10u
#define CYDEV_CHIP_DIE_PSOC5LP 17u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E0C9069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 10u
#define CYDEV_CHIP_MEMBER_4C 15u
#define CYDEV_CHIP_MEMBER_4D 6u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 11u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 9u
#define CYDEV_CHIP_MEMBER_4I 14u
#define CYDEV_CHIP_MEMBER_4J 7u
#define CYDEV_CHIP_MEMBER_4K 8u
#define CYDEV_CHIP_MEMBER_4L 13u
#define CYDEV_CHIP_MEMBER_4M 12u
#define CYDEV_CHIP_MEMBER_4N 5u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 17u
#define CYDEV_CHIP_MEMBER_5B 16u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00008006u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_DP8051_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000003u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
