/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

//#include "`$INSTANCE_NAME`.h"
#include <project.h>

#define DIRECTION_BIT   1
#define SLEEP_BIT       2

int8 `$INSTANCE_NAME`_controlRegValue = 0;

CY_ISR( `$INSTANCE_NAME`_ISR1)
{

}


void  `$INSTANCE_NAME`_Start()
{
    `$INSTANCE_NAME`_PWM_WritePeriod(4095);
    `$INSTANCE_NAME`_PWM_WriteCompare(0);
    `$INSTANCE_NAME`_PWM_Start();
    `$INSTANCE_NAME`_PWM_WritePeriod(4095);
    `$INSTANCE_NAME`_PWM_WriteCompare(0);
    
    `$INSTANCE_NAME`_QuadDec_Start();
//    `$INSTANCE_NAME`_QuadDec_TriggerCommand(`$INSTANCE_NAME`_QuadDec_MASK, `$INSTANCE_NAME`_QuadDec_CMD_RELOAD);
    
    `$INSTANCE_NAME`_Status_Reg_Read();      // Clear the sticky bits in the status register.
}

void  `$INSTANCE_NAME`_Set_Motor_Power(uint16 on_time)
{
    `$INSTANCE_NAME`_controlRegValue &= !SLEEP_BIT;
    if (on_time < 0)
    {
        `$INSTANCE_NAME`_controlRegValue |= DIRECTION_BIT;
        `$INSTANCE_NAME`_Control_Reg_Write(`$INSTANCE_NAME`_controlRegValue);
        `$INSTANCE_NAME`_PWM_WriteCompare(-on_time);
    }
    else
    {
        `$INSTANCE_NAME`_controlRegValue &= !DIRECTION_BIT;
        `$INSTANCE_NAME`_Control_Reg_Write(`$INSTANCE_NAME`_controlRegValue);
        `$INSTANCE_NAME`_PWM_WriteCompare(on_time);
    }
}

void  `$INSTANCE_NAME`_Setup_PWM(uint16 period)
{
    `$INSTANCE_NAME`_PWM_WritePeriod(period);
}

int16 `$INSTANCE_NAME`_Get_QuadDec()
{
    return `$INSTANCE_NAME`_QuadDec_GetCounter();
}

/* [] END OF FILE */
