/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "EtherCAT_LED.h"
#include "Clock_2.h"

void EtherCAT_LED_Start()
{
	#if 0 > 0
		EtherCAT_LED_AUX_CTL_A_REG |= (EtherCAT_LED_F0_LEVEL_MODE_1 << EtherCAT_LED_F0_LEVEL_SHIFT);
	#endif
	
	#if 0 > 0
		EtherCAT_LED_AUX_CTL_A_REG |= (EtherCAT_LED_F1_LEVEL_MODE_1 << EtherCAT_LED_F1_LEVEL_SHIFT);
	#endif
	
	#if 0 > 0
		EtherCAT_LED_AUX_CTL_A_REG |= (EtherCAT_LED_F0_SINGLE_BUFFER_ENABLE << EtherCAT_LED_F0_SINGLE_BUFFER_SHIFT);
	#endif
	
	#if 0 > 0
		EtherCAT_LED_AUX_CTL_A_REG |= (EtherCAT_LED_F1_SINGLE_BUFFER_ENABLE << EtherCAT_LED_F1_SINGLE_BUFFER_SHIFT);
	#endif
	
	return;
}

//void EtherCAT_LED_Set_Flash(uint16 flash_pattern, uint16 clock_divider)
void EtherCAT_LED_Set_Flash(uint8 flash_pattern_H, uint8 flash_pattern_L, uint16 clock_divider)
{
    Clock_2_SetDividerValue(clock_divider);
    //CY_SET_REG16(EtherCAT_LED_D0_PTR, flash_pattern);
    
    EtherCAT_LED_D0_U0_REG     = flash_pattern_L;
    EtherCAT_LED_D0_U1_REG     = flash_pattern_H;
    
    /*
    if ((flash_pattern_H | flash_pattern_L) == 0x00)
        EtherCAT_LED_AUX_CTL_A_REG = EtherCAT_LED_FORCE_LED_OFF;
    else if ((flash_pattern_H & flash_pattern_L) == 0xFF)
        EtherCAT_LED_AUX_CTL_A_REG = EtherCAT_LED_FORCE_LED_ON;
    else 
        EtherCAT_LED_AUX_CTL_A_REG = EtherCAT_LED_ALLOW_LED_PATTERN;
        */
}

/* [] END OF FILE */
