/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "this_node.h"


int8u   ezi2cBuffer[64];
int8u   SourceArray[64];

void Handle_Status(void);
void Handle_Command(void);


int main(void)
{
    volatile int32u test_result;
    int8u i=0;
        
	//TestHardware();
    
    CyGlobalIntEnable;
    
    test_result = typedef_tests();


    EtherCAT_LED_Set_Flash(EtherCAT_LED_FLASH_PATTERN_OFF);
    Initialise_This_Node();
    
    
    Platform_Init_Callback();
    
    
    for(;;)
    {
        while(EC_SPI_IRQ_Read())
        {
            EC_EEPROM_HandleWriting();
        }

        Handle_AL_Event();
        
        if (Get_EtherCAT_State() == ETHERCAT_STATE_OP)
            Operational_Mode();

        if (Get_EtherCAT_State() == ETHERCAT_STATE_SAFE_OP)
            Safe_Operational_Mode();

        if (Get_EtherCAT_State() == ETHERCAT_STATE_PRE_OP)
            Pre_Operational_Mode();

        if (Get_EtherCAT_State() == ETHERCAT_STATE_INIT)
            Init_Mode();        
    }
}

